<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Safty-Page for delete pagecategorys
 * Prints a list of the pagecategorys and testing
 * if subcategorys or pages exist...
 * get pagecategory.delete.tpl.php
 * used from pagecategory.page.php
 * 
 * @version    $Id: pagecategory.page.delete.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
$messagetext = 0;

// Check for Sub-Categorys
foreach ($_POST['marker'] as $idx)
{
	$idx = $refValidate->cleanslash($idx);
	if ($result = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name FROM pagecategory " .
		"WHERE pagecategory_top = '" . $idx . "'"))
	{
		$messagetext = 1;
		message::setErrorRow('<h2>' . _('The page category(s) still have subcategorys:') . '</h2>');

		db::getInstance()->where("pagecategory_id", $idx);
		$resultCategory = db::getInstance()->getOne("pagecategory");

		message::setErrorRow($idx . ' - ' . $resultCategory['pagecategory_name']);

		foreach ($result as $value)
		{
			message::setErrorRow('&nbsp&nbsp&nbsp&nbsp&nbsp' . $value['pagecategory_id'] . ' - ' .
				$value['pagecategory_name']);
		}
	}
}

// Check for pagecategory
foreach ($_POST['marker'] as $idx)
{
	$idx = $refValidate->cleanslash($idx);
	if ($result = db::getInstance()->rawQuery("SELECT pages_id, pages_name FROM pages " .
		"WHERE pages_category = '" . $idx . "'"))
	{
		$messagetext = 1;
		message::setErrorRow('<h2>' . _('The pagecategory still have pages:') . '</h2>');

		foreach ($result as $value)
		{
			message::setErrorRow($value['pages_id'] . ' - ' . $value['pages_name']);
		}
	}
}

if ($messagetext === 1)
{ // An error occurs...
	message::setErrorRow('<div class="delete_error">
					 <form action="index2.php?page = article">
					 <button type="button" onclick="window.location.href = \'index2.php?page=pages\';">
					 <b>' . _('Cancel') . '</b>
					 </button>
					 </form>
					 </div>');
	$refPage->addtpl('content', '/empty.tpl.php');
}
else
{ // "delete" pagecategorys
	$data = array();
	$deleteIds = '';
	$refPage->addtpl('content', '/page/pagecategory.delete.tpl.php');
	$refPage->assign('page_title', _('Can the following pagecategory(s) be deleted?'));

	$refPage->assign('pagecategory_id', _('ID'));
	$refPage->assign('pagecategory_name', _('Pagecategory-Name'));

	foreach ($_POST['marker'] as $idx)
	{
		$idx = $refValidate->cleanslash($idx);
		//$result = db::getInstance()->get_row("SELECT category_id, category_name FROM category " .
		//	"WHERE category_id = '" . $idx . "'");
		db::getInstance()->where("pagecategory_id", $idx);
		$result = db::getInstance()->getOne("pagecategory");

		$data[] = array('pagecategory_idx' => $result['pagecategory_id'],
		 'pagecategory_namex' => $result['pagecategory_name']);
		$deleteIds .= $result['pagecategory_id'] . '-';
	}

	$refPage->assign('form',
		'action="index2.php?page=page&sub=pagecategory&func=deleteNow" method="post"');
	$refPage->assign('data', $data);
	$refPage->assign('button',
		'<input type="hidden" name="deleteId" value="' . $deleteIds . '" />' .
		'<input type="submit" name="submit" id="delete" value="' .
		_('Delete Pagecategory(s)') . '" />' .
		'<button type="button" value="' . _('Cancel') . '"' .
		'onClick="parent.location=\'index2.php?page=page&sub=pagecategory\'">' .
		_('Cancel') . '</button>');

	$refPage->assign('buttonDeleteLink', 'index2.php?page=page&sub=pagecategory&func=delete');
}
