<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * change position of data record up and down
 * used from pagecategory.page.php
 *
 * @version    $Id: pagecategory.page.order.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
db::getInstance()->where("pagecategory_top", $refValidate->cleanslash($_GET['top']));
$result = db::getInstance()->get("pagecategory");

if ($result !== NULL)
{
	foreach ($result as $data)
	{
		if ($data['pagecategory_order'] == $refValidate->cleanslash($_GET['order']))
		{
			$idx = $data['pagecategory_id'];
			$orderx = $data['pagecategory_order'];
			break;
		}
	}

	$data = Array('pagecategory_order' => ($orderx - 1));
	db::getInstance()->where("pagecategory_id", $idx);
	db::getInstance()->update('pagecategory', $data);

	foreach ($result as $data)
	{
		if ($data['pagecategory_order'] == $refValidate->cleanslash($_GET['order'] - 1))
		{
			$idx = $data['pagecategory_id'];
			$orderx = $data['pagecategory_order'];
			break;
		}
	}

	$data = Array('pagecategory_order' => ($orderx + 1));
	db::getInstance()->where("pagecategory_id", $idx);
	db::getInstance()->update('pagecategory', $data);
}
else
{
	message::setErrorRow(_('Databaseerror - Contact the Admin!'), true);
}
?>