<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Displays pdf-settings to edit
 * used from pdf.page.php
 *
 * @version    $Id: pdf.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{titleTop}</h2>

<div class="form">
   <form action="{action}" method="post" class="niceform fieldset lines">
      <fieldset>
         <!-- Papersize --------------------------------------------------->
         <div>
            <div><dl> 
                  <h3>{title0}</h3>
               </dl></div>
            <div>
               <dl>
                  <dt><label for="pageheightx">{pageheight}</label></dt>
                  <dd>
                     {pageheightx}
                     &nbsp;&nbsp;{pdfpageheightxHelp}
                  </dd>
               </dl>
               <dl>
                  <dt><label for="pagewidthx">{pagewidth}</label></dt>
                  <dd>
                     {pagewidthx}
                     &nbsp;&nbsp;{pdfpagewidthxHelp}
                  </dd>
               </dl>
               <dl>
                  <dt><label for="pageleftx">{pageleft}</label></dt>
                  <dd>
                     {pageleftx}
                     &nbsp;&nbsp;{pdfpageleftxHelp}
                  </dd>
               </dl>
               <dl>
                  <dt><label for="pagetopx">{pagetop}</label></dt>
                  <dd>
                     {pagetopx}
                     &nbsp;&nbsp;{pdfpagetopxHelp}
                  </dd>
               </dl>
            </div>

            <br><br><br><hr class="pdfline" />
            
            <!-- Articletable ------------------------------------------------>
            <dl> 
                  <h3>{title2}</h3><br><br><br>
               </dl>
            <div>
               <div class="left">
                  <dl>
                     <dt><label for="ttitlex">{ttitle}</label></dt>
                     <dd>
                        {ttitlex}
                        &nbsp;&nbsp;{pdfttitlexHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="taxx">{tax}</label></dt>
                     <dd>
                        {taxx}
                        &nbsp;&nbsp;{pdftaxxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="tleftx">{tleft}</label></dt>
                     <dd>
                        {tleftx}
                        &nbsp;&nbsp;{pdftleftxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="ttopx">{ttop}</label></dt>
                     <dd>
                        {ttopx}
                        &nbsp;&nbsp;{pdfttopxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="twidthx">{twidth}</label></dt>
                     <dd>
                        {twidthx}
                        &nbsp;&nbsp;{pdftwidthxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="rowheightx">{rowheight}</label></dt>
                     <dd>
                        {rowheightx}
                        &nbsp;&nbsp;{pdfrowheightxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="rowsx">{rows}</label></dt>
                     <dd>
                        {rowsx}
                        &nbsp;&nbsp;{pdfrowsxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="tfontx">{tfont}</label></dt>
                     <dd>
                        {tfontx}
                        &nbsp;&nbsp;{pdftfontxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="tweightx">{tweight}</label></dt>
                     <dd>
                        {tweightx}
                        &nbsp;&nbsp;{pdftweightxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="borderx">{border}</label></dt>
                     <dd>
                        {borderx}
                        &nbsp;&nbsp;{pdfborderxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
               </div>
               <div class="clear"></div>
            </div>
            <hr class="dot" />
            <div>
               <div class="left">
                  <dl>
                     <dt><label for="numberx">{number}</label></dt>
                     <dd>
                        {numberx}
                        &nbsp;&nbsp;{pdfnumberxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="numberwidthx">{numberwidth}</label></dt>
                     <dd>
                        {numberwidthx}
                        &nbsp;&nbsp;{pdfnumberwidthxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="numberorientationx">{numberorientation}</label></dt>
                     <dd>
                        {numberorientationx}
                        &nbsp;&nbsp;{pdfnumberorientationxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
               </div>
               <div class="clear"></div>
            </div>
            <hr class="dot" />
            <div>
               <div class="left">
                  <dl>
                     <dt><label for="descriptionx">{description}</label></dt>
                     <dd>
                        {descriptionx}
                        &nbsp;&nbsp;{pdfdescriptionxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="descriptionwidthx">{descriptionwidth}</label></dt>
                     <dd>
                        {descriptionwidthx}
                        &nbsp;&nbsp;{pdfdescriptionwidthxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>
            
            <div>
               <div class="left">
                  <dl>
                     <dt><label for="descriptionorientationx">{descriptionorientation}</label></dt>
                     <dd>
                        {descriptionorientationx}
                        &nbsp;&nbsp;{pdfdescriptionorientationxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
               </div>
               <div class="clear"></div>
            </div>
            <hr class="dot" />   
            <div>
               <div class="left">
                  <dl>
                     <dt><label for="valuex">{value}</label></dt>
                     <dd>
                        {valuex}
                        &nbsp;&nbsp;{pdfvaluexHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="valuewidthx">{valuewidth}</label></dt>
                     <dd>
                        {valuewidthx}
                        &nbsp;&nbsp;{pdfvaluewidthxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="valueorientationx">{valueorientation}</label></dt>
                     <dd>
                        {valueorientationx}
                        &nbsp;&nbsp;{pdfvalueorientationxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
               </div>
               <div class="clear"></div>
            </div>
            <hr class="dot" />
            <div>
               <div class="left">
                  <dl>
                     <dt><label for="spricex">{sprice}</label></dt>
                     <dd>
                        {spricex}
                        &nbsp;&nbsp;{pdfspricexHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="spricewidthx">{spricewidth}</label></dt>
                     <dd>
                        {spricewidthx}
                        &nbsp;&nbsp;{pdfspricewidthxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="tspriceorientationx">{tspriceorientation}</label></dt>
                     <dd>
                        {tspriceorientationx}
                        &nbsp;&nbsp;{pdftspriceorientationxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
               </div>
               <div class="clear"></div>
            </div>
            <hr class="dot" />
            <div>
               <div class="left">
                  <dl>
                     <dt><label for="pricex">{price}</label></dt>
                     <dd>
                        {pricex}
                        &nbsp;&nbsp;{pdfpricexHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="pricewidthx">{pricewidth}</label></dt>
                     <dd>
                        {pricewidthx}
                        &nbsp;&nbsp;{pdfpricewidthxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="priceorientationx">{priceorientation}</label></dt>
                     <dd>
                        {priceorientationx}
                        &nbsp;&nbsp;{pdfpriceorientationxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
               </div>
               <div class="clear"></div>
            </div>

            <hr class="pdfline" />

            <!-- Textfields -------------------------------------------------->
            <dl>
               <h3>{title1}</h3><br><br><br><br>
            </dl>

            <!-- BEGIN data -->
            <div>
               <div class="left">
                  <dl>
                     <dt><label for="titlex">{title}</label></dt>
                     <dd>
                        {titlex}
                        &nbsp;&nbsp;{pdftitlexHelp}
                     </dd>
                  </dl>					
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="activex">{active}</label></dt>
                     <dd>
                        {activex}
                        &nbsp;&nbsp;{pdfactivexHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="textx">{text}</label></dt>
                     <dd>
                        {textx}
                        &nbsp;&nbsp;{pdftextxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">	</div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="leftx">{left}</label></dt>
                     <dd>
                        {leftx}
                        &nbsp;&nbsp;{pdfleftxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="topx">{top}</label></dt>
                     <dd>
                        {topx}
                        &nbsp;&nbsp;{pdftopxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="widthx">{width}</label></dt>
                     <dd>
                        {widthx}
                        &nbsp;&nbsp;{pdfwidthxHelp}
                     </dd>
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="heightx">{height}</label></dt>
                     <dd>
                        {heightx}
                        &nbsp;&nbsp;{pdfheightxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="fontx">{font}</label></dt>
                     <dd>
                        {fontx}
                        &nbsp;&nbsp;{pdffontxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="weightx">{weight}</label></dt>
                     <dd>
                        {weightx}
                        &nbsp;&nbsp;{pdfweightxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="borderleftx">{borderleft}</label></dt>
                     <dd>
                        {borderleftx}
                        &nbsp;&nbsp;{pdfborderleftxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="bordertopx">{bordertop}</label></dt>
                     <dd>
                        {bordertopx}
                        &nbsp;&nbsp;{pdfbordertopxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">
                  <dl>
                     <dt><label for="borderrightx">{borderright}</label></dt>
                     <dd>
                        {borderrightx}
                        &nbsp;&nbsp;{pdfborderrightxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="borderbottomx">{borderbottom}</label></dt>
                     <dd>
                        {borderbottomx}
                        &nbsp;&nbsp;{pdfborderbottomxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <div>
               <div class="left">		
                  <dl>
                     <dt><label for="orientationx">{orientation}</label></dt>
                     <dd>
                        {orientationx}
                        &nbsp;&nbsp;{pdforientationxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="right">
                  <dl>
                     <dt><label for="linewidthx">{linewidth}</label></dt>
                     <dd>
                        {linewidthx}
                        &nbsp;&nbsp;{pdflinewidthxHelp}
                     </dd> 
                  </dl>
               </div>
               <div class="clear"></div>
            </div>

            <hr class="pdfline" />

            <!-- END data -->

            <dl class="submit">
               {btnSave}
               {btnAbort}
            </dl>

            <dl>
               <dt>
               </dt>
               <dd>
                  {textHelp}
               </dd>

            </dl>
      </fieldset>
   </form>
</div>
