<?php
if (!defined('TOBBIVM'))
	header('location:/admin/template/notepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Config->DB-Backup
 * used from backup.page.php
 *
 * @version    $Id: restore.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{pageTitle}</h2>
<form enctype="multipart/form-data" class="niceform fieldset" action="{formStart}" method="post">
	<fieldset>
		<div id="restore">
			<p>
				{text}
			</p>
			<!-- IF restoreMessage -->
			<hr>
			<span>
				{restoreMessage}
			</span>
			<!-- ENDIF restoreMessage -->
		</div>
		<div>
			<!-- IF btnRestoreDb -->
			<dl>
				<dt><label for="uploadfile">{upload}</label></dt>
				<dd>
					{uploadfile}<br>
				</dd>
			</dl>

			<dl class="submit">
				{btnRestoreDb}
			</dl>
			<!-- ENDIF btnRestoreDb -->
		</div>

	</fieldset>
</form>