<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Installation of TobbiVM-Shop
 * Display set template
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 20 $
 * $Date: 2018-07-19 20:25:50 +0200 (Do, 19. Jul 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/template.php $
 */
?>
<h1>Template auswählen</h1>
<form action="index.php?page=adress" method="post" id="formid">
   <fieldset>
      <div>
         <article>
            <br>
            <h2>Standard 1</h2>
            <img class="imgright1" src="images/standard_01.png" alt="Standard 01">
            <p>
               <label class="rad">
                  <input type="radio" name="r1" value="0" <?php echo buffer::getTemplate(0); ?> />
                  <i></i> Standard ausw&auml;hlen
               </label>
            </p>
         </article>
         <article>
            <br>
            <h2>Ablaze 2</h2>
            <img class="imgright1" src="images/ablaze_02.png" alt="Ablaze 02">
            <p>
               <label class="rad">
                  <input type="radio" name="r1" value="1" <?php echo buffer::getTemplate(1); ?>/>
                  <i></i> Ablaze ausw&auml;hlen
               </label>
            </p>
         </article>
      </div>
      <br>
      <div class="clear"></div>
      <a href="index.php?page=server" target="_self">
         <div class="button">
            Zur&uuml;ck
         </div>
      </a>
      <input type="submit" value="Weiter"/>
   </fieldset>
</form>
