<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Safty-Page for delete article
 * Prints a list of the article to delete
 * get article.delete.tpl.php
 * used from article.page.php
 * 
 * @version    $Id: article.page.delete.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
$messagetext = '';

// "delete" article
$data = array();
$deleteIds = '';
$refPage->addtpl('content', '/article/article.delete.tpl.php');
$refPage->assign('pageTitle', _('Can the following article be deleted?'));
$refPage->assign('summary', _('Entries are moved into the basket'));

$refPage->assign('productId', _('ID'));
$refPage->assign('productName', _('Article-Name'));

foreach ($_POST['marker'] as $idx)
{
	$idx = $refValidate->cleanslash($idx);
	db::getInstance()->where("product_id", $idx);
	$result = db::getInstance()->getOne("product");

	$data[] = array('productIdx' => $result['product_id'],
	 'productNamex' => $result['product_name']);
	$deleteIds .= $result['product_id'] . '-';
}

$refPage->assign('startForm',
	'action="index2.php?page=' . $page . '&sub=' . $subpage .
	'&func=deleteNow" method="post"');
$refPage->assign('data', $data);

$refPage->assign('btnDelete',
	'<input type="hidden" name="deleteIds" id="deleteIds" value="' . $deleteIds . '" />' .
	'<input type="submit" name="submit" id="deleteNow" value="' . _('Delete now') . '" />');

$refPage->assign('btnAbort',
	'<input type="submit" name="submit" id="cancel" value="' . _('Cancel') . '" />');
