<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Save pdf-settings for printig orderlist E-Mail->Orders
 * use nothing
 * 
 * @version    $Id: list.page.save.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */

$config ='';

// Papersize ==================================================
$config .=	'height' . ':' . $_POST['heightx'] .'|';
$config .=	'width' . ':' . $_POST['widthx'] .'|';
$config .=	'topmargin' . ':' . $_POST['topMargingx'] .'|';
$config .=	'leftmargin' . ':' . $_POST['leftMargingx'] .'|';

// Rowfields ===================================================
$config .=	'no' . ':' . $_POST['numberWidthx'] .'|';
$config .=	'date' . ':' . $_POST['dateWidthx'] .'|';
$config .=	'customerno' . ':' . $_POST['customerNumberWidthx'] .'|';
$config .=	'customername' . ':' . $_POST['customerNameWidthx'] .'|';
$config .=	'company' . ':' . $_POST['companyWidthx'] .'|';
$config .=	'tax' . ':' . $_POST['taxWidthx'] .'|';
$config .=	'value' . ':' . $_POST['valueWidthx'] .'|';
$config .=	'status' . ':' . $_POST['statusWidthx'] .'|';
$config .=	'paydate' . ':' . $_POST['paydateWidthx'] .'|';

// Others ======================================================
$config .=	'rows' . ':' . $_POST['rowsx'] .'|';
$config .=	'pagination' . ':' . $_POST['paginationx'] .'|';
$config .=	'font' . ':' . $_POST['fontx'] .'|';
$config .=	'fontheight' . ':' . $_POST['fontheightx'] .'|';
$config .=	'fonttitle' . ':' . $_POST['fonttitlex'] .'|';
$config .=	'fonttitleheight' . ':' . $_POST['fonttitleheightx'];

// Update the database
$data = Array('config_text' => $config);
db::getInstance()->where('config_key', 'printlist');

if (db::getInstance()->update('config' . SUFFIX, $data))
				message::setNoteRow(_('The data was successful saved.'), true);