<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create table to browse payment-plugins incl. config-data
 * get: payment.tpl.php
 * used from payment.page.php
 *
 * @version    $Id: payment.page.table.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012-2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
db::getInstance()->orderBy('payment_order', 'ASC');
$result = db::getInstance()->get('payment');
if (db::getInstance()->count <= 0)
{
	message::setErrorRow(_('Databaseerror! - Contact Admin!'), true);
}
else
{
	$refPage->assign('page_title', _('Payment'));
	$refPage->assign('summary', _('This table gives a overview to Payment Methods and costs'));

	$refPage->assign('payment_id', _('ID'));
	$refPage->assign('payment_name', _('Name'));
	$refPage->assign('payment_value', _('Value'));
	$refPage->assign('payment_order', _('Order'));

	$refPage->assign('Form_Start',
		'<form class="niceform fieldset paymentTable" action="' .
		'index2.php?page=' . $page . '&sub=' . $subpage .
		'" method="post"><fieldset>');
	$refPage->assign('Form_End', '</fieldset></form>');

	foreach ($result as $buffer)
	{
		$payment_namey = '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
			'&id=' . $buffer['payment_id'] . '&func=edit">' . $buffer['payment_name'] . '</a>';

		$data[] = array('payment_set' => '<input type="checkbox" name="marker[]" value="' .
		 $buffer['payment_id'] . '" />',
		 'payment_idx' => $buffer['payment_id'],
		 'payment_namex' => $payment_namey,
		 'payment_valuex' => str_replace(".", ",", $buffer['payment_value']) . ' ' . CURRENCY,
		 'payment_orderx' => $buffer['payment_order']);
	}

	$refPage->assign('data', $data);

	$refPage->assign('btn_Delete',
		'<input type="submit" name="submit" id="delete" value="' .
		_('Delete') . '" />');
	$refPage->assign('btn_New',
		'<input type="submit" name="submit" id="new" value="' .
		_('New') . '" />');

	$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
}