<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create pagecategory browse page
 * get: pagecategory.tpl.php
 * used from pagecategory.page.php
 *
 * @version    $Id: pagecategory.page.table.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */

$file = 'module/function/pagecategory.pagination.func.php';
if (is_file($file)) include $file;
$result = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name, pagecategory_active, " .
		  "pagecategory_active_1, pagecategory_active_2, pagecategory_active_3, pagecategory_active_4, pagecategory_active_5," .
		  "pagecategory_order, pagecategory_top FROM pagecategory WHERE pagecategory_top = '0'" .
		  " ORDER BY pagecategory_order");

$refPage->assign('page_titel', _('Pagecategory settings'));
$refPage->assign('table_summary', _('This table gives a overview of the Categorys'));
$refPage->assign('pagecategory_id', _('ID'));
$refPage->assign('pagecategory_name', _('Category-Name'));
$refPage->assign('pagecategory_order', _('Order'));
$refPage->assign('pagecategory_article', _('Article'));

$buffer = array();
$buffer = sortCategorys($result, true);

// Set datarows to display
if (!isset($_SESSION['pageC'])) $_SESSION['pageC'] = 1;
if (ceil(count($buffer) / PAGE_CATEGORY_LIST) < $_SESSION['pageC']) $_SESSION['pageC'] --;
if ($_SESSION['pageC'] <= 0) $_SESSION['pageC'] = 1;
$pageFirst = ($_SESSION['pageC'] * PAGE_CATEGORY_LIST) - PAGE_CATEGORY_LIST + 1;
$pageLast = $_SESSION['pageC'] * PAGE_CATEGORY_LIST;
getPagination($refPage, count($buffer));
$counter = 0;

// Create active-headers for all shops
$colspan = 4;
$refPage->assign('pagecategory_activ', _('Activ') . ' ' . SHORTNAME);
if (SHORTNAME_1 <> '') $colspan ++;
$refPage->assign('pagecategory_activ_1', SHORTNAME_1);
if (SHORTNAME_2 <> '') $colspan ++;
$refPage->assign('pagecategory_activ_2', SHORTNAME_2);
if (SHORTNAME_3 <> '') $colspan ++;
$refPage->assign('pagecategory_activ_3', SHORTNAME_3);
if (SHORTNAME_4 <> '') $colspan ++;
$refPage->assign('pagecategory_activ_4', SHORTNAME_4);
if (SHORTNAME_5 <> '') $colspan ++;
$refPage->assign('pagecategory_activ_5', SHORTNAME_5);
$refPage->assign('colspan', $colspan);

// Create table-array and html-code
$data = array();

foreach ($buffer as $datax)
{
	$counter ++;

	if ($counter < $pageFirst) continue;

	if ($counter > $pageLast) break;

	$lr = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

	if (strpos($datax['pagecategory_name'], '2|') !== FALSE)
			$pagecategory_namex = $lr . '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['pagecategory_id'] .
				  '&func=edit">' . str_replace('2|', '', $datax['pagecategory_name']) . '</a>';
	elseif (strpos($datax['pagecategory_name'], '3|') !== FALSE)
			$category_namex = $lr . $lr . '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['pagecategory_id'] .
				  '&func=edit">' . str_replace('3|', '', $datax['pagecategory_name']) . '</a>';
	elseif (strpos($datax['pagecategory_name'], '4|') !== FALSE)
			$pagecategory_namex = $lr . $lr . $lr . '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['pagecategory_id'] .
				  '&func=edit">' . str_replace('4|', '', $datax['pagecategory_name']) . '</a>';
	elseif (strpos($datax['pagecategory_name'], '5|') !== FALSE)
			$pagecategory_namex = $lr . $lr . $lr . $lr . '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['pagecategory_id'] .
				  '&func=edit">' . str_replace('5|', '', $datax['pagecategory_name']) . '</a>';
	else
			$pagecategory_namex = '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['pagecategory_id'] .
				  '&func=edit"><b>' . $datax['pagecategory_name'] . '</b></a>';

	if ($datax['pagecategory_order'] === 1)
	{
		$pagecategory_orderx = $datax['pagecategory_order'] .
				  '<img src="template/images/page.article/top1.gif">';
	}
	else
	{
		$pagecategory_orderx = $datax['pagecategory_order'] .
				  '<a href="index2.php?page=page&sub=pagecategory&top=' .
				  $datax['pagecategory_top'] . '&order=' . $datax['pagecategory_order'] . '">' .
				  '<img src="template/images/page.article/arrowup1.gif"></a>';
	}

	$pagecategory_page = '<a href="index2.php?page=page&sub=pages&filterId=' .
			  $datax['pagecategory_id'] . '">' . _('List pages') . '</a>';

// Display all activ status
	$activexOff = '<img src="template/images/page.article/notactive.gif"></a>';
	$activexOn = '<img src="template/images/page.article/isactive.gif"></a>';
   $tick = strtolower(substr(md5(microtime()),0,5));
	$pagecategoryActive = '<a href="index2.php?tick=' . $tick . '&page=page&sub=pagecategory&id=' .
			  $datax['pagecategory_id'] . '&active=';

	if ($datax['pagecategory_active'] === '0')
			$pagecategory_activex = $pagecategoryActive . '0#' . $datax['pagecategory_id'] . '">' . $activexOff;
	else $pagecategory_activex = $pagecategoryActive . '0#' . $datax['pagecategory_id'] . '">' . $activexOn;

	if (SHORTNAME_1 <> '')
	{
		if ($datax['pagecategory_active_1'] === '0')
				$pagecategory_activex_1 = $pagecategoryActive . '1#' . $datax['pagecategory_id'] . '">' . $activexOff;
		else $pagecategory_activex_1 = $pagecategoryActive . '1#' . $datax['pagecategory_id'] . '">' . $activexOn;
	}
	else $pagecategory_activex_1 = '';

	if (SHORTNAME_2 <> '')
	{
		if ($datax['pagecategory_active_2'] === '0')
				$pagecategory_activex_2 = $pagecategoryActive . '2#' . $datax['pagecategory_id'] . '">' . $activexOff;
		else $pagecategory_activex_2 = $pagecategoryActive . '2#' . $datax['pagecategory_id'] . '">' . $activexOn;
	}
	else $pagecategory_activex_2 = '';

	if (SHORTNAME_3 <> '')
	{
		if ($datax['pagecategory_active_3'] === '0')
				$pagecategory_activex_3 = $pagecategoryActive . '3#' . $datax['pagecategory_id'] . '">' . $activexOff;
		else $pagecategory_activex_3 = $pagecategoryActive . '3#' . $datax['pagecategory_id'] . '">' . $activexOn;
	}
	else $pagecategory_activex_3 = '';

	if (SHORTNAME_4 <> '')
	{
		if ($datax['pagecategory_active_4'] === '0')
				$pagecategory_activex_4 = $pagecategoryActive . '4#' . $datax['pagecategory_id'] . '">' . $activexOff;
		else $pagecategory_activex_4 = $pagecategoryActive . '4#' . $datax['pagecategory_id'] . '">' . $activexOn;
	}
	else $pagecategory_activex_4 = '';

	if (SHORTNAME_5 <> '')
	{
		if ($datax['pagecategory_active_5'] === '0')
				$pagecategory_activex_5 = $pagecategoryActive . '5#' . $datax['pagecategory_id'] . '">' . $activexOff;
		else $pagecategory_activex_5 = $pagecategoryActive . '5#' . $datax['pagecategory_id'] . '">' . $activexOn;
	}
	else $pagecategory_activex_5 = '';

	$data[] = array('pagecategory_set' => '<input type="checkbox" name="marker[]" ' .
		 'value="' . $datax['pagecategory_id'] . '" />',
		 'pagecategory_idx' => $datax['pagecategory_id'],
		 'ankerx' => 'id="' . $datax['pagecategory_id'] . '"',
		 'pagecategory_namex' => $pagecategory_namex,
		 'pagecategory_orderx' => $pagecategory_orderx,
		 'pagecategory_activx' => $pagecategory_activex,
		 'pagecategory_activx_1' => $pagecategory_activex_1,
		 'pagecategory_activx_2' => $pagecategory_activex_2,
		 'pagecategory_activx_3' => $pagecategory_activex_3,
		 'pagecategory_activx_4' => $pagecategory_activex_4,
		 'pagecategory_activx_5' => $pagecategory_activex_5,
		 'pagecategory_pagex' => $pagecategory_page,);
	$refPage->assign('data', $data);
}

$refPage->assign('btnDelete',
		  '<input type="submit" name="submit" id="delete" value="' .
		  _('Delete') . '" />');

$refPage->assign('formStart', 'index2.php?page=page&sub=pagecategory&func=12');

$refPage->assign('btnNew',
		  '<input type="submit" name="submit" id="copy" value="' .
		  _('New') . '" />');

$refPage->assign('btnCopy',
		  '<input type="submit" name="submit" id="copy" value="' .
		  _('Copy') . '" />');

$refPage->assign('pagetitel', _('Pagetitel') . ':');

$refPage->assign('active', _('Active') . ':');
$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
