<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create customerbrowsepage
 * get: customers.tpl.php
 * used from customers.page.php
 *
 * @version    $Id: customers.page.table.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
$refPage->assign('pageTitel', _('Customers'));
$refPage->assign('formStart', 'index2.php?page=' . $page . '&sub=' . $subpage . '&func=0');

// create customer-table

$customerListx = array();
db::getInstance()->orderBy("customer_lastname", "ASC");
$customers = db::getInstance()->get('customer');

$refPage->assign('tableSummary', _('Customer list') . ': ');
$refPage->assign('customerId', _('ID') . ': ');
$refPage->assign('customerName', _('Name') . ': ');
$refPage->assign('customerLastLogin', _('Last login') . ': ');
$refPage->assign('customerActive', _('Active') . ': ');


foreach ($customers as $user)
{
	$idx = $user['customer_id'];
	$namex = '<a href="index2.php?page=' . $page . '&sub=' . $subpage . '&id=' .
		$user['customer_id'] . '">' .
		$user['customer_firstname'] . ' ' . $user['customer_lastname'] . '</a>';
	$lastLoginx = $user['customer_lastonline'];

	if ($user['customer_active'] === '0')
	{
		$activex = '<img src="template/images/page.article/notactive.gif">';
	}
	else
	{
		$activex = '<img src="template/images/page.article/isactive.gif">';
	}

	$customerListx[] = array('customerCheckboxx' => '<input type="checkbox" name="marker[]" ' .
	 ' value="' . $user['customer_id'] . '" />',
	 'customerIdx' => $idx,
	 'customerNamex' => $namex,
	 'customerLastLoginx' => $lastLoginx,
	 'customerActivx' => $activex);
}

$refPage->assign('customerListx', $customerListx);
$refPage->assign('btnNew',
	'<input type="submit" name="submit" id="new" value="' .
	_('New') . '" />');
$refPage->assign('btnDelete',
	'<input type="submit" name="submit" id="delete" value="' . _('Delete') . '" />');
$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
?>