<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Config->Attribute list->options->edit
 *
 * @version    $Id: options.edit.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
<div class="form">
	{Form_Start}
	<dl>
		<dt>{name}</dt>
		<dd>{namex}</dd>
	</dl>

	<dl>
		<dt><label for="optionartx">{optionart}</label></dt>
		<dd>
			<select style="width:400px;" size="1" name="optionartx" id="optionartx">
				<!-- BEGIN optionartx -->
				<option value="{optionartnr}" >{optionartname}</option>
				<!-- END optionartx -->
			</select>
		</dd>
	</dl>

	<dl class="submit">
		{btn_new}
		{btn_abort}
	</dl>

	<dl><hr></dl>

	<!-- IF textrow -->
	<!-- INCLUDE article/options/options.edit.textrow.tpl.php -->
	<!-- ENDIF textrow -->

	<!-- IF textfield -->
	<!-- INCLUDE article/options/options.edit.textfield.tpl.php -->
	<!-- ENDIF textfield -->

	<!-- IF dropdown -->
	<!-- INCLUDE article/options/options.edit.dropdown.tpl.php -->
	<!-- ENDIF dropdown -->

	<!-- IF option -->
	<!-- INCLUDE article/options/options.edit.option.tpl.php -->
	<!-- ENDIF option -->

	<dl class="submit">
		{btn_save}
		{btn_abort}
	</dl>

	<dl>
		{editHelp}
	</dl>
	{Form_End}
</div>