<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Config->Shipping
 *
 * @version    $Id: shipping.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
{Form_Start}
<dl>
	<table id="rounded-corner-category" summary="{summary}">
		<!-- column-with  max table width: 625px-->
		<colgroup>
			<col width="25">
			<col width="40">
			<col width="300">
		</colgroup>

		<thead>
			<tr>
				<th scope="col" class="rounded-company"></th>
				<th scope="col" class="rounded">{shipping_id}</th>
				<th scope="col" class="rounded-q4">{shipping_name}</th>
			</tr>
		</thead>

		<tfoot>
			<tr>
				<td colspan="2" class="rounded-foot-left"><em></em></td>
				<td class="rounded-foot-right">&nbsp;</td>
			</tr>
		</tfoot>

		<tbody>
			<!-- BEGIN data -->
			<tr>
				<td>{shipping_set}</td>
				<td>{shipping_idx}</td>
				<td><div align="left">{shipping_namex}</div></td>
			</tr>
			<!-- END data -->
		</tbody>
	</table>
</dl>
<dl class="submit">
	{btn_Delete}
	{btn_New}
</dl>

{Form_End}