<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Displays invoice-pdf-settings of used images to edit
 * used from invoice.images.page.php
 *
 * @version    $Id: images.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2017
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{title}</h2>

<div class="form">
	<form action="{action}" method="post" class="niceform fieldset">
		<fieldset>
			<!-- BEGIN data -->
			<dl>
				<dt><label for="namex">{name}</label></dt>
				<dd>
					{namex}
					&nbsp;&nbsp;{invoicenamexHelp}
				</dd>
			</dl>

			<dl>
				<dt><label for="activex">{active}</label></dt>
				<dd>
					{activex}
					&nbsp;&nbsp;{invoiceactivexHelp}
				</dd>
			</dl>

			<dl>
				<dt><label for="leftx">{left}</label></dt>
				<dd>
					{leftx}
					&nbsp;&nbsp;{invoiceleftxHelp}
				</dd>
			</dl>

			<dl>
				<dt><label for="topx">{top}</label></dt>
				<dd>
					{topx}
					&nbsp;&nbsp;{invoicetopxHelp}
				</dd>
			</dl>

			<dl>
				<dt><label for="widthx">{width}</label></dt>
				<dd>
					{widthx}
					&nbsp;&nbsp;{invoicewidthxHelp}
				</dd>
			</dl>

			<dl>
				<dt><label for="heightx">{height}</label></dt>
				<dd>
					{heightx}
					&nbsp;&nbsp;{invoiceheightxHelp}
				</dd>
			</dl>
			
			<dl>
				<hr />
			</dl>
			<!-- END data -->

			<dl class="submit">
				{btnSave}
				{btnAbort}
			</dl>

		</fieldset>
	</form>
</div>
