<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for page->pages
 *
 * @version    $Id: pages.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<script type="text/javascript">
	function filterA(id) {

		//alert(id);
		window.location.replace('index2.php?page=page&sub=pages&filterId=' + id);
		//onchange="window.location='/administrator/index.php?option=com_virtuemart&amp;page=product.product_list&amp;category_id='+document.getElementById('category_id').options[selectedIndex].value;">
	}
</script>

<div class="article_tpl">
	<h2>{pageTitel}</h2>

	<select id="articleFilter" {onchange} style="width:330px;" size="1" name="pagecategoryListx" id="pagecategoryListx">

		<!-- BEGIN pagecategoryListx -->
		<option value="{pagecategoryIdx}" {pagecategoryCheckedx}>{pagecategoryNamex}</option>
		<!-- END pagecategoryListx -->
	</select> 
	{pagesListHelp}
	<form class="niceform fieldset articleTable" action="{formStart}" method="post">
		<fieldset>
			<dl>
				<table id="rounded-corner-article" summary="{tableSummary}">
					<!-- column-with  max table width: 850px-->
					<colgroup>
						<col width="35">
						<col width="35">

						<col width="375">
						<col width="105">
						<col width="40">
						<!-- IF pagesActiv1 -->
						<col width="40">
						<!-- ENDIF pagesActiv1-->
						<!-- IF pagesActiv2 -->
						<col width="40">
						<!-- ENDIF pagesActiv2-->
						<!-- IF pagesActiv3 -->
						<col width="40">
						<!-- ENDIF pagesActiv3-->
						<!-- IF pagesActiv4 -->
						<col width="40">
						<!-- ENDIF pagesActiv4-->
						<!-- IF pagesActiv5 -->
						<col width="40">
						<!-- ENDIF pagesActiv5-->
						<col width="200">
					</colgroup>

					<thead>
						<tr>
							<th scope="col" class="rounded-company"></th>
							<th scope="col" class="rounded">{pagesId}</th>

							<th scope="col" class="rounded">{pagesName}</th>
							<th align="center" scope="col" class="rounded">{pagesOrder}</th>
							<th scope="col" class="rounded">{pagesActiv}</th>
							<!-- IF pagesActiv1 -->
							<th scope="col" class="rounded">{pagesActiv1}</th>
							<!-- ENDIF pagesActiv1-->
							<!-- IF pagesActiv2 -->
							<th scope="col" class="rounded">{pagesActiv2}</th>
							<!-- ENDIF pagesActiv2-->
							<!-- IF pagesActiv3 -->
							<th scope="col" class="rounded">{pagesActiv3}</th>
							<!-- ENDIF pagesActiv3-->
							<!-- IF pagesActiv4 -->
							<th scope="col" class="rounded">{pagesActiv4}</th>
							<!-- ENDIF pagesActiv4-->
							<!-- IF pagesActiv5 -->
							<th scope="col" class="rounded">{pagesActiv5}</th>
							<!-- ENDIF pagesActiv5-->
							<th scope="col" class="rounded-q4">{pagesCategory}</th>
						</tr>
					</thead>

					<tbody>
						<!-- BEGIN pagesListx -->
						<tr {ankerx}>
							<td>{pagesCheckboxx}</td>
							<td><div align="right">{pagesIdx}</div></td>
						
							<td>{pagesNamex}</td>
							<td><div align="right">{pagesOrderx}</div></td>
							<td><div align="center">{pagesActivx}</div></td>
							<!-- IF pagesActivx1 -->
							<td><div align="center">{pagesActivx1}</div></td>
							<!-- ENDIF pagesActivx1-->
							<!-- IF pagesActivx2 -->
							<td><div align="center">{pagesActivx2}</div></td>
							<!-- ENDIF pagesActivx2-->
							<!-- IF pagesActivx3 -->
							<td><div align="center">{pagesActivx3}</div></td>
							<!-- ENDIF pagesActivx3-->
							<!-- IF pagesActivx4 -->
							<td><div align="center">{pagesActivx4}</div></td>
							<!-- ENDIF pagesActivx4-->
							<!-- IF pagesActivx5 -->
							<td><div align="center">{pagesActivx5}</div></td>
							<!-- ENDIF pagesActivx5-->
							<td>{pagesCategoryx}</td>
						</tr>
						<!-- END pagesListx -->
					</tbody>

					<tfoot>
						<tr>
							<td class="rounded-foot-left"></td>
							<td colspan="{colspan}" class="rounded-foot-left">

								<div class="pagination">
									<a href="{urlPageFirst}">{txtPageFirst}</a>
									<a href="{urlPagePrev}">{txtPagePrev}</a>

									<!-- BEGIN urlPageP -->
									<a href="{url}">{text}</a>
									<!-- END urlPageP -->

									<span class="current">{nrPageC}</span>

									<!-- BEGIN PageN -->
									<a href="{url}">{text}</a>
									<!-- END PageN -->

									<a href="{urlPageNext}">{txtPageNext}</a>
									<a href="{urlPageLast}">{txtPageLast}</a>
								</div>				



							</td>
							<td class="rounded-foot-right">&nbsp;</td>
						</tr>
					</tfoot>					
				</table>
			</dl>            

			<dl class="submit">
				{btnOrder}
				{btnDelete}
				{btnNew}
				{btnCopy}
			</dl>
			<dl>
				{pagesPageHelp}
			</dl> 
		</fieldset>
	</form>
</div>

