<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Installation of TobbiVM-Shop
 * Display set postal adress
 * 
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 20 $
 * $Date: 2018-07-19 20:25:50 +0200 (Do, 19. Jul 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/adress.php $
 */
?>
<h1>Mail- und Adressdaten</h1>
<form action="index.php?page=database" method="post" id="formid">
   <fieldset>
      <h2>Firmenadresse</h2>
      <article>
         <p class="input">
            Firmenname: <input type="text" name="compName" value="<?php echo $_SESSION['compName'] ?>" size="35" /><br>
            Sta&szlig;e und Nr.: <input type="text" name="compStreet" value="<?php echo $_SESSION['compStreet'] ?>" size="35" /><br>
            Plz und Ort: <input type="text" name="compCity" value="<?php echo $_SESSION['compCity'] ?>" size="35" /><br>
            Telefonnummer (int. mit +49): <input type="text" name="compIntPhone" value="<?php echo $_SESSION['compIntPhone'] ?>" size="35" /><br>
            Telefonnummer: <input type="text" name="compPhone" value="<?php echo $_SESSION['compPhone'] ?>" size="35" /><br>
            FAX-Nummer: <input type="text" name="compFax" value="<?php echo $_SESSION['compFax'] ?>" size="35" /><br>
            Firmen E-Mail Adresse: <input type="text" name="compMail" value="<?php echo $_SESSION['compMail'] ?>" size="35" /><br>
         </p>
      </article>
      <h2>Mailserverdaten</h2>
      <article>
         <p class="input">
            Mail-Serveradresse: <input type="text" name="mailHost" value="<?php echo $_SESSION['mailHost'] ?>" size="35" /><br>
            Benutzername: <input type="text" name="mailUser" value="<?php echo $_SESSION['mailUser'] ?>" size="35" /><br>
            Passwort: <input type="text" name="mailPassword" value="<?php echo $_SESSION['mailPassword'] ?>" size="35" /><br>
            Portnummer (25, 465 oder 587): <input type="text" name="mailPort" value="<?php echo $_SESSION['mailPort'] ?>" size="35" /><br>
            E-Mail Adresse: <input type="text" name="mailSenderAdress" value="<?php echo $_SESSION['mailSenderAdress'] ?>" size="35" /><br>
            Mail Absendername (Abteilung/Bearbeiter): <input type="text" name="mailSenderName" value="<?php echo $_SESSION['mailSenderName'] ?>" size="35" /><br>
         </p>

         <input type="submit" name="submit" id="testmail" value="Test-Mail versenden"/>

         <p>
            Folgende Einstellungen sind nur wichtig wenn direkt nach einem Kauf 
            eine HTML-Rechnung an den Käufer gesendet werden soll. In der Regel sind 
            dann ALLE drei Punkte auf EIN (Grün) zu stellen.<br>
         </p>
         <p class="input">
            <label class="ckb">
               Widerufserklärung mit Rechnung senden: <input type="checkbox" name="mailSendRevo" value="0" <?php echo buffer::getOption('mailSendRevo') ?> />
               <i></i>
            </label><br>
            <label class="ckb">
               AGB mit Rechnung senden: <input type="checkbox" name="mailSendTerms" value="0" <?php echo buffer::getOption('mailSendTerms') ?> />
               <i></i>
            </label><br>
            <label class="ckb">
               Rechnung automatisch senden: <input type="checkbox" name="mailToCustomer" value="0" <?php echo buffer::getOption('mailToCustomer') ?> />
               <i></i>
            </label><br>
         </p>
      </article>


      <a href="index.php?page=template" target="_self">
         <div class="button">
            Zur&uuml;ck
         </div>
      </a>
      <input type="submit" value="Weiter"/>
   </fieldset>
</form>
