<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create start layout
 * used by index.php
 *
 * @version    $Id: index.tpl.php 30 2018-08-13 11:08:47Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
      <link rel="alternate" hreflang="de-at" href="{canonical}" />
		<link rel="alternate" hreflang="de-ch" href="{canonical}" />
		<link rel="alternate" hreflang="de-de" href="{canonical}" />
      <meta http-equiv="content-type" content="text/html; charset=utf-8" />
      <meta name="robots" content="index, follow" />
      <meta name="description" content="{Metadescription}" />
      <meta name="generator" content="{Metagenerator}" />
      <title>{templateTitel}</title>
      <link rel="stylesheet" type="text/css" href="{tpl_css}category.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}article.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}content.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}lightbox.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}template.css" />
{scripts}

      <script type="text/javascript" src="{tpl_js}jquery.flow.1.2.js"></script>
      <script type="text/javascript" src="{tpl_js}custom.js"></script>

   </head>

   <body class="slider-header">
      <!-- *********************************************************************** -->
 <div id="wrapper">
		<div id="sitename">
			<h1><a href="#">TobbiVM<strong>-Shop</strong></a></h1>
		</div>
    <div id="find">
			<!-- INCLUDE find.row.tpl.php -->
		</div>

		<div id="header" class="clear">
			<div id="slides-container">
			<div id="slides">
				<div class="slides_s">
					<div class="slide-image"><img src="{tpl_img}slide-1.png" alt="Slide #1 image" /></div>
					<div class="slide-text">
						<h2>Slider 1</h2>
						<p>Dieses Template ist von Zypopwebtemplates.com und wurde an TobbiVM-Shop angepasst.
            Es ist frei verwendbar solange der Link im Footer erhalten bleibt.<br>Hier k&ouml;nnt Ihr es finden:
            <a href="https://zypopwebtemplates.com/web-templates/view/2212.html">Free CSS Templates</a>.<br>
            Der Link zu TobbiVM.de muss ebenfalls erhalten bleiben!</p>
					</div>
				</div>

				<div class="slides_s">
          <div class="slide-image"><img src="{tpl_img}slide-2.png" alt="Slide #2 image" /></div>
					<div class="slide-text">
				    <h2>Slider 2</h2>
				    <p>Das Template kann leicht an die eigenen Wünsche angepasst werden. Die Hilfen auf TobbiVM
            helfen dir dabei, und bei Problemen: Einfach fragen!<br>
            Beachte auch die anderen Anleitungen und Hilfsmittel bei TobbiVM.</p>
          </div>
        </div>

        <div class="slides_s">
          <div class="slide-image"><img src="{tpl_img}slide-3.png" alt="Slide #3 image" /></div>
					<div class="slide-text">
            <h2>Slider 3</h2>
				    <p></p>
          </div>
        </div>
			</div>

			<div class="controls"><span class="jFlowNext"><span>Next</span></span><span class="jFlowPrev"><span>Prev</span></span></div>

			<div id="myController" class="hidden"><span class="jFlowControl"></span><span class="jFlowControl"></span><span class="jFlowControl"></span></div>
		</div>





		</div>
		<div id="body" class="clear">
			<div id="sidebar" class="column-left">
    <ul>
     	<li>
        <!-- INCLUDE categorypage.menu.tpl.php -->
			</li>
      <li>
        <!-- INCLUDE minicart.tpl.php -->
      </li>
			<li>
				<!-- INCLUDE pagecategory.menu.tpl.php -->
			</li>
				</ul>
			</div>
			<div id="content" class="column-right">
        <!-- IF errorText --> {errorText}<br> <!-- ENDIF errorText -->
        <!-- IF warningText --> {warningText}<br> <!-- ENDIF warningText -->
        <!-- IF noteText --> {noteText}<br> <!-- ENDIF noteText -->

        {contentHead1}
        {contentHead2}

        {content}

        {contentFooter1}
        {contentFooter2}
			</div>
		</div>
	</div>
     <div id="footer">
          <div class="footer-content">

            <div class="footer-box">
                <!-- INCLUDE staticpage.menu.tpl.php -->
            </div>
            <div class="footer-box">
                
            </div>
            <div class="footer-box">
                
            </div>
            <div class="end-footer-box">
            </div>

            
            <div class="clear"></div>
        </div>
        <div id="footer-links">

        <!-- A link to http://zypopwebtemplates.com must remain. To remove link see http://zypopwebtemplates.com/licensing -->
                <p>&copy; YourSite 2010. <a href="http://zypopwebtemplates.com/">Free CSS Templates</a> by ZyPOP</p>
        </div>
    </div>
      <!-- *********************************************************************** -->
      <script src="{tpl_js}lightbox.min.js"></script>
   </body>
</html> 