<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Display the minicart with link to cart
 *
 * Used from core.php
 *
 * @version    $Id: minicart.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<div id="minicart">
	<!-- IF productNumber="0" -->
	<img src="{tpl_img}cart_empty.png" alt="Warenkorb" />
	<p>Sie haben keinen Artikel im Warenkorb</p>
	<!-- ELSE -->
	<a title="Warenkorb" class="cartLink" href="{cartLink}">
		<img src="{tpl_img}cart_full.png" alt="Warenkorb" /><br>
		<p>Sie haben {productNumber} Artikel im Warenkorb</p>
	</a>
	<!-- ENDIF productNumber -->
</div>