<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for new payment entry
 * used from payment.page.new.php
 *
 * @version    $Id: payment.new.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012-2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
<div class="formNewEntryPayment">
	{Form_Start}

	<dl>
		<dt><label for="namex">{name}</label></dt>
		<dd>
			{namex}&nbsp;
			{namexHelp}
		</dd>
	</dl>
	
	<dl>
		<dt><label for="filenamex">{filename}</label></dt>
		<dd>
			{filenamex}&nbsp;
			{filexHelp}
		</dd>
	</dl>

	<dl class="submit">
		{btn_save}
		{btn_abort}
	</dl>

	{Form_End}
</div>
