<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create info page
 * used from info.page.php
 *
 * @version    $Id: info.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<div class="center_box_content">
	<h3>{header}</h3>
	<img src="template/images/info.png" alt="" title="" class="center_icon_right" />
	<br/><br/>
	<table id="info">
		<tr colspan="2">
			<td class="error">
				<h3>{errorText}</h3><br/>
				{errorRow}
				<br/>
				<br/>
			</td>
		</tr>
		<tr colspan="2">
			<td>
				<h3>{stockMinWarningText}</h3><br/>
				{stockMinProducts}
				<br/>
				<br/>
			</td>
		</tr>
		<tr>
			<td>
				{activeCategoryText}<br/>
				{disabledCategoryText}
			</td>
			<td>
				{activeCategoryValue}<br/>
				{disabledCategoryValue}
			</td>
		</tr>
		<tr>
			<td>
				{activeArticleText}<br/>
				{disabledArticleText}
			</td>
			<td>
				{activeArticleValue}<br/>
				{disabledArticleValue}
			</td>
		</tr>
		<tr>
			<td>
				{activeCustomerText}<br/>
				{disabledCustomerText}
			</td>
			<td>
				{activeCustomerValue}<br/>
				{disabledCustomerValue}
			</td>
		</tr>
		<tr>
			<td>
				{ordererText}<br/>
				{ordersText}
			</td>
			<td>
				{ordererValue}<br/>
				{ordersValue}
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<br/>
				<h3>{shopData}</h3>
			</td>
		</tr>
		<tr>
			<td>
				{versionText}
			</td>
			<td>
				{versionValue}
			</td>
		</tr>
		<tr>
			<td>
				{paymentText}
			</td>
			<td>
				{paymentValue}
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<br/>
				<h3>xPlugins</h3>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				{xPlugins}
			</td>
		</tr>
	</table>
	<br/>
</div>