<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Config->Attribute list->options->edit 
 * edit dropdowns
 * 
 * used from options.edit.tpl.php
 *
 * @version    $Id: options.edit.dropdown.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<!-- BEGIN dropdown -->
<dl>
	<dt><label>{dropdowntitelnamex}</label></dt>
	<dd>
		{dropdowntitelx}
		{texttitelHelp}
	</dd>
</dl>
<dl>
	<dt><label>{widthnamex}</label></dt>
	<dd>
		{widthx}
		{widthHelp}
	</dd>
</dl>
<dl>
	<dt><label>{positionnamex}</label></dt>
	<dd>
		{positionx}
		{positionHelp}
	</dd>
</dl>
<dl>
	<dt><label>{textfieldnamex}</label><br>{dropdownHelp}</dt>
	<dd>
		<div class="txtarea">
			{textfieldx}
		</div>
	</dd>
</dl>
<dl class="submit">
	{btn_save}
	{btn_delete}
</dl>
<dl><hr></dl>
<!-- END dropdown -->
