<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Fertigstellen der Installation
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 29 $
 * $Date: 2018-08-13 12:19:28 +0200 (Mo, 13. Aug 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/install.php $
 */
?>
<h1>Installation fertigstellen</h1>
<form action="index.php?page=ready" method="post" id="formid">
   <div>
      <article>
         <p>
            Jetzt kann der Installationsprozess fertiggestellt werden.<br>
            Zuerst wird die Datenbank erstellt und die es werden die Musterdaten 
            eingef&uuml;gt. Danach werden die Konfigurationsdateien und die htaccess
            erstellt.<br>
         </p>
      </article>
   </div>
   <br>
   <div class="clear"></div>
   <a href="index.php?page=database" target="_self">
      <div class="button">
         Zur&uuml;ck
      </div>
   </a>
   <input type="submit" value="Shop installieren"/>
</form>
