<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * display the thank-you-page for a successful order and/or order-payment
 * used from cart.save.php
 *
 * @version    $Id: save.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h1>Vielen Dank für Ihren Einkauf.</h1>
<div id="mail_show">

	<table id="orderHead" cellpadding="0" cellspacing="0">
		<tbody>
			<tr>
				<td id="confirmadress" rowspan="2">
					<h2><b>{titel}</b></h2>
					{company}<br>
					{name}<br>
					{street}<br>
					{city}<br>
				</td>
				<td id="confirmlogo">
					{confirmlogo}
				</td>
			</tr>
			<tr>
				<td id="confirmshop">
					{companyname}<br>
					{companystreet}<br>
					{companycity}<br><br>
					Telefon: {companyphone}<br>
					Fax: {companyfax}<br>
					Email: {companyemail}
				</td>
			</tr>
		</tbody>
	</table>
	<br>
	<h2><b>Auftrag-/Rechnung-Nr. {ordernumber}</b></h2>

	<table cellpadding="0" cellspacing="0">
		<tbody>
			<tr>
				<th id="product">
					Artikel
				</th>
				<th id="per_item">
					Stück-<br>preis
				</th>
				<th id="number">
					Menge
				</th>
				<th id="price">
					Preis
				</th>
			</tr>

			<!-- BEGIN productList -->
			<tr>
				<td class="product">
					{sku}<br>
					{product}
				</td>
				<td class="per_item">
					{pricePerItem}
				</td>
				<td class="number">
					{number}
				</td>
				<td class="price">
					{priceTotal}
				</td>
			</tr>
			<!-- END productList -->

			<tr>
				<td valign="top" colspan="3"></td>
				<td valign="top">
					<hr size="2" width="90%">
				</td>
			</tr>

			<tr>
				<td valign="top" colspan="3">
					Versandkosten: 
				</td>
				<td valign="top" class="price">
					{shippingPrice}
				</td>
			</tr>

			<tr>
				<td valign="top" colspan="3"></td>
				<td valign="top">
					<hr size="2" width="90%">
				</td>
			</tr>

			<tr>
				<td class="totalprice" colspan="3">
					Gesamtsumme:
				</td>
				<td class="totalprice">
					{price}
				</td>
			</tr>
			<tr>
				<td class="tax" colspan="4">
					<!-- BEGIN tax -->
					(enthaltene {name} ({percent}%) {value})<br>
					<!-- END tax -->
				</td>
			</tr>
		</tbody>
	</table>
	<br>
	Hinweise zur Bestellung:<br>
	{comment}<br>
	{payment}<br>
	<hr>
	{footer}

	{formstart}
	<div id="accept_terms">
		<b>Bitte beachten Sie unsere AGB sowie unsere Widerrufsbelehrung.</b><br>
		AGB → {termsLink}<br>
		Widerrufsbelehrung → {revocationLink}
	</div>
	<br>
	<div id="order_btn">
		{back_button} {order_button}
	</div>
	{formend}
</div>