<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create category browse page
 * get: category.tpl.php
 * used from category.php
 *
 * @version    $Id: 2_col_x.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
/**
 * Usable Elements from the array to display articles
 * {textTop}		= category description on top of side
 * {textBottom}	= category description on bottom of Side
 * {link}			= link to the article-detailpage
 * {name}			= product name
 * {image}			= path to product small-image
 * {two}				= counter for 2-row-display
 * {three}			= counter for 3-row-display
 * {four}			= counter for 4-row-display
 */
?>
<div class="colPage2">
   <!-- INCLUDE pagecounter.tpl.php -->
   <h1>{header}</h1>
   <p>
      {textTop}
   </p>

   <!-- BEGIN pagesList -->
   <!-- IF two="1" -->
   <div class="colPage2ab">
      <div class="colPage2a">
         <div class="colPage2Left">
            <a href="{link}">
               <img class="colPage2img" src="{image}" /><br>
            </a>
         </div>
         <a href="{link}">
            <div class="colPage2Right">
               <h2>{name}</h2>
               
              </div>
         </a>
      </div>
      <!-- ENDIF -->

      <!-- IF two="2" -->
      <div class="colPage2b">
         <div class="colPage2Left">
            <a href="{link}">
               <img class="colPage2img" src="{image}" /><br>
            </a>
         </div>
         <a href="{link}">
            <div class="colPage2Right">
               <h2>{name}</h2>
               </div>
         </a>
      </div>
      <div class="clear"></div>
   </div>
   <!-- ENDIF -->
   <!-- END pagesList -->

   <div class="clear"></div>

<p>
   {textBottom}
</p>
<!-- INCLUDE pagecounter.tpl.php -->
</div>