<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * display userdata after register
 * used from register.show.data.php
 *
 * @version    $Id: register.show.data.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<div class="showUserData">
	<h1>{header}</h1>
	{text}
	<table>
		<tbody>
			<!-- IF company -->
			<tr>
				<td>
					{company}:
				</td>
				<td>
					{companyx}
				</td>
			</tr>
			<!-- ENDIF company -->
			<!-- IF firstname -->
			<tr>
				<td>
					{firstname}:
				</td>
				<td>
					{firstnamex}
				</td>
			</tr>
			<!-- ENDIF firstname -->
			<!-- IF lastname -->
			<tr>
				<td>
					{lastname}:
				</td>
				<td>
					{lastnamex}
				</td>
			</tr>
			<!-- ENDIF lastname -->
			<!-- IF street -->
			<tr>
				<td>
					{street}:
				</td>
				<td>
					{streetx}
				</td>
			</tr>
			<!-- ENDIF street -->
			<!-- IF zip -->
			<tr>
				<td>
					{zip}:
				</td>
				<td>
					{zipx}
				</td>
			</tr>
			<!-- ENDIF zip -->
			<!-- IF city -->
			<tr>
				<td>
					{city}:
				</td>
				<td>
					{cityx}
				</td>
			</tr>
			<!-- ENDIF city -->
			<!-- IF country -->
			<tr>
				<td>
					{country}:
				</td>
				<td>
					{countryx}
				</td>
			</tr>
			<!-- ENDIF country -->
			<!-- IF state -->
			<tr>
				<td>
					{state}:
				</td>
				<td>
					{statex}
				</td>
			</tr>
			<!-- ENDIF state -->
			<!-- IF phone -->
			<tr>
				<td>
					{phone}:
				</td>
				<td>
					{phonex}
				</td>
			</tr>
			<!-- ENDIF phone -->
			<!-- IF fax -->
			<tr>
				<td>
					{fax}:
				</td>
				<td>
					{faxx}
				</td>
			</tr>
			<!-- ENDIF fax -->
			<!-- IF handy -->
			<tr>
				<td>
					{handy}:
				</td>
				<td>
					{handyx}
				</td>
			</tr>
			<!-- ENDIF handy -->
			<!-- IF email -->
			<tr>
				<td>
					{email}:
				</td>
				<td>
					{emailx}"
				</td>
			</tr>
			<!-- ENDIF email -->

			<tr>
				<td>
					{name}:
				</td>
				<td>
					{namex}
				</td>
			</tr>
		</tbody>
	</table>
</div>