<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create Registerpage
 * used from register.php
 *
 * @version    $Id: register.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
/*
 * Usable Elements for display
 * 
 * {company}		Label for Field companyx
 * {companyx}		Datafield for company
 * {firstname}		Label for Field firstnamex
 * {firstnamex}	Datafield for firstname
 * {lastname}		Label for Field lastnamex
 * {lastnamex}		Datafield for lastname
 * {street}			Label for Field streetx
 * {streetx}		Datafield for street
 * {zip}				Label for Field zipx
 * {zipx}			Datafield for zip
 * {city}			Label for Field cityx
 * {cityx}			Datafield for city
 * {phone}			Label for Field phonex
 * {phonex}			Datafield for phone
 * {fax}				Label for Field faxx
 * {faxx}			Datafield for fax
 * {handy}			Label for Field handyx
 * {handyx}			Datafield for handy
 * {email}			Label for Field emailx
 * {emailx}			Datafield for email
 * {name}			Label for Field namex
 * {namex}			Datafield for username
 * {password}		Label for Field passwordx
 * {passwordx}		Datafield for password
 * {captcha}		Captcha, if set in config = TRUE
 */
?>
<div id="register">
	<h1>{header}</h1>
	<p>
		{textTop}
	</p>
	<form action="{action}" method="post">
		<fieldset>

			<table>
				<tbody>
					<!-- IF company -->
					<tr>
						<td>
							{company}
						</td>
						<td>
							{companyx}<br>
						</td>
					</tr>
					<!-- ENDIF company -->
					<!-- IF firstname -->
					<tr>
						<td>
							{firstname}
						</td>
						<td>
							{firstnamex}<br>
						</td>
					</tr>
					<!-- ENDIF firstname -->
					<!-- IF lastname -->
					<tr>
						<td>
							{lastname}
						</td>
						<td>
							{lastnamex}<br>
						</td>
					</tr>
					<!-- ENDIF lastname -->
					<!-- IF street -->
					<tr>
						<td>
							{street}
						</td>
						<td>
							{streetx}<br>
						</td>
					</tr>
					<!-- ENDIF street -->
					<!-- IF zip -->
					<tr>
						<td>
							{zip}
						</td>
						<td>
							{zipx}<br>
						</td>
					</tr>
					<!-- ENDIF zip -->
					<!-- IF city -->
					<tr>
						<td>
							{city}
						</td>
						<td>
							{cityx}<br>
						</td>
					</tr>
					<!-- ENDIF city -->
					<!-- IF country -->
					<tr>
						<td>
							{country}
						</td>
						<td>
							<select size="1" name="countryx" id="countryx">
								{countryx}
							</select><br>
						</td>
					</tr>
					<!-- ENDIF country -->
					<!-- IF state -->
					<tr>
						<td>
							{state}
						</td>
						<td>
							{statex}<br>
						</td>
					</tr>
					<!-- ENDIF state -->
					<!-- IF phone -->
					<tr>
						<td>
							{phone}
						</td>
						<td>
							{phonex}<br>
						</td>
					</tr>
					<!-- ENDIF phone -->
					<!-- IF fax -->
					<tr>
						<td>
							{fax}
						</td>
						<td>
							{faxx}<br>
						</td>
					</tr>
					<!-- ENDIF fax -->
					<!-- IF handy -->
					<tr>
						<td>
							{handy}
						</td>
						<td>
							{handyx}<br>
						</td>
					</tr>
					<!-- ENDIF handy -->
					<!-- IF email -->
					<tr>
						<td>
							{email}
						</td>
						<td>
							{emailx}<br>
						</td>
					</tr>
					<!-- ENDIF email -->

					<tr>
						<td>
							{name}
						</td>
						<td>
							{namex}<br>
						</td>
					</tr>

					<tr>
						<td>
							{password}
						</td>
						<td>
							{passwordx}<br>
						</td>
					</tr>
				</tbody>
			</table>
			<div id="btnreg">
				<!-- IF captcha -->
				Bitte die Lösung eingeben:<br>
				<p>{captcha}<input type="text" name="captcha" id="captcha" size="5"/><br>
				</p>
				<!-- ENDIF captcha -->
				{btnRegister}
			</div>

		</fieldset>
	</form>
	<p>
		{textBottom}
	</p>
</div>