<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * set or unset active for article after click in table
 * used from article.page.php
 * 
 * @version    $Id: article.page.action.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
db::getInstance()->where('product_id', $refValidate->cleanslash($_GET['id']));
$result = db::getInstance()->getOne('product');

if (db::getInstance()->count > 0)
{
	switch ($_GET['active'])
	{
		case 0:
			$field = 'product_active';
			break;
		case 1:
			$field = 'product_active_1';
			break;
		case 2:
			$field = 'product_active_2';
			break;
		case 3:
			$field = 'product_active_3';
			break;
		case 4:
			$field = 'product_active_4';
			break;
		case 5:
			$field = 'product_active_5';
			break;
	}

	if ($result[$field] === '0') $active = '1';
	else $active = '0';

	$data = Array($field => $active);
	db::getInstance()->where('product_id', $refValidate->cleanslash($_GET['id']));
	db::getInstance()->update('product', $data);
}
else
{
	message::setErrorRow(_('Dataerror - Activestatus could not be set!'), TRUE);
}
?>