<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create category browse page
 * get: category.tpl.php
 * used from category.page.php
 *
 * @version    $Id: category.page.table.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
$file = 'module/function/category.pagination.func.php';
if (is_file($file)) include $file;
$result = db::getInstance()->rawQuery("SELECT category_id, category_name, category_active, " .
		  "category_active_1, category_active_2, category_active_3, category_active_4, category_active_5," .
		  "category_order, category_top FROM category WHERE category_top = '0'" .
		  " ORDER BY category_order");

$refPage->assign('page_titel', _('Product category settings'));
$refPage->assign('table_summary', _('This table gives a overview of the Categorys'));
$refPage->assign('category_id', _('ID'));
$refPage->assign('category_name', _('Category-Name'));
$refPage->assign('category_order', _('Order'));
$refPage->assign('category_article', _('Article'));

$buffer = array();
$buffer = sortCategorys($result, true);

// Set datarows to display
if (!isset($_SESSION['pageC'])) $_SESSION['pageC'] = 1;
if (ceil(count($buffer) / CATEGORY_LIST) < $_SESSION['pageC']) $_SESSION['pageC'] --;
if ($_SESSION['pageC'] <= 0) $_SESSION['pageC'] = 1;
$pageFirst = ($_SESSION['pageC'] * CATEGORY_LIST) - CATEGORY_LIST + 1;
$pageLast = $_SESSION['pageC'] * CATEGORY_LIST;
getPagination($refPage, count($buffer));
$counter = 0;

// Create active-headers for all shops
$colspan = 4;
$refPage->assign('category_activ', _('Activ') . ' ' . SHORTNAME);
if (SHORTNAME_1 <> '') $colspan ++;
$refPage->assign('category_activ_1', SHORTNAME_1);
if (SHORTNAME_2 <> '') $colspan ++;
$refPage->assign('category_activ_2', SHORTNAME_2);
if (SHORTNAME_3 <> '') $colspan ++;
$refPage->assign('category_activ_3', SHORTNAME_3);
if (SHORTNAME_4 <> '') $colspan ++;
$refPage->assign('category_activ_4', SHORTNAME_4);
if (SHORTNAME_5 <> '') $colspan ++;
$refPage->assign('category_activ_5', SHORTNAME_5);
$refPage->assign('colspan', $colspan);

// Create table-array and html-code
$data = array();

foreach ($buffer as $datax)
{
	$counter ++;

	if ($counter < $pageFirst) continue;

	if ($counter > $pageLast) break;

	$lr = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';

	if (strpos($datax['category_name'], '2|') !== FALSE)
			$category_namex = $lr . '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['category_id'] .
				  '&func=edit">' . str_replace('2|', '', $datax['category_name']) . '</a>';
	elseif (strpos($datax['category_name'], '3|') !== FALSE)
			$category_namex = $lr . $lr . '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['category_id'] .
				  '&func=edit">' . str_replace('3|', '', $datax['category_name']) . '</a>';
	elseif (strpos($datax['category_name'], '4|') !== FALSE)
			$category_namex = $lr . $lr . $lr . '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['category_id'] .
				  '&func=edit">' . str_replace('4|', '', $datax['category_name']) . '</a>';
	elseif (strpos($datax['category_name'], '5|') !== FALSE)
			$category_namex = $lr . $lr . $lr . $lr . '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['category_id'] .
				  '&func=edit">' . str_replace('5|', '', $datax['category_name']) . '</a>';
	else
			$category_namex = '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
				  '&id=' . $datax['category_id'] .
				  '&func=edit"><b>' . $datax['category_name'] . '</b></a>';

	if ($datax['category_order'] === 1)
	{
		$category_orderx = $datax['category_order'] .
				  '<img src="template/images/page.article/top1.gif">';
	}
	else
	{
		$category_orderx = $datax['category_order'] .
				  '<a href="index2.php?page=article&sub=category&top=' .
				  $datax['category_top'] . '&order=' . $datax['category_order'] . '">' .
				  '<img src="template/images/page.article/arrowup1.gif"></a>';
	}

	$category_article = '<a href="index2.php?page=article&sub=article&filterId=' .
			  $datax['category_id'] . '">' . _('List Article') . '</a>';

// Display all activ status
	$activexOff = '<img src="template/images/page.article/notactive.gif"></a>';
	$activexOn = '<img src="template/images/page.article/isactive.gif"></a>';
   $tick = strtolower(substr(md5(microtime()),0,5));
	$categoryActive = '<a href="index2.php?tick=' . $tick . '&page=article&sub=category&id=' .
			  $datax['category_id'] . '&active=';

	if ($datax['category_active'] === '0')
			$category_activex = $categoryActive . '0#' . $datax['category_id'] . '">' . $activexOff;
	else $category_activex = $categoryActive . '0#' . $datax['category_id'] . '">' . $activexOn;

	if (SHORTNAME_1 <> '')
	{
		if ($datax['category_active_1'] === '0')
				$category_activex_1 = $categoryActive . '1#' . $datax['category_id'] . '">' . $activexOff;
		else $category_activex_1 = $categoryActive . '1#' . $datax['category_id'] . '">' . $activexOn;
	}
	else $category_activex_1 = '';

	if (SHORTNAME_2 <> '')
	{
		if ($datax['category_active_2'] === '0')
				$category_activex_2 = $categoryActive . '2#' . $datax['category_id'] . '">' . $activexOff;
		else $category_activex_2 = $categoryActive . '2#' . $datax['category_id'] . '">' . $activexOn;
	}
	else $category_activex_2 = '';

	if (SHORTNAME_3 <> '')
	{
		if ($datax['category_active_3'] === '0')
				$category_activex_3 = $categoryActive . '3#' . $datax['category_id'] . '">' . $activexOff;
		else $category_activex_3 = $categoryActive . '3#' . $datax['category_id'] . '">' . $activexOn;
	}
	else $category_activex_3 = '';

	if (SHORTNAME_4 <> '')
	{
		if ($datax['category_active_4'] === '0')
				$category_activex_4 = $categoryActive . '4#' . $datax['category_id'] . '">' . $activexOff;
		else $category_activex_4 = $categoryActive . '4#' . $datax['category_id'] . '">' . $activexOn;
	}
	else $category_activex_4 = '';

	if (SHORTNAME_5 <> '')
	{
		if ($datax['category_active_5'] === '0')
				$category_activex_5 = $categoryActive . '5#' . $datax['category_id'] . '">' . $activexOff;
		else $category_activex_5 = $categoryActive . '5#' . $datax['category_id'] . '">' . $activexOn;
	}
	else $category_activex_5 = '';

	$data[] = array('category_set' => '<input type="checkbox" name="marker[]" ' .
		 ' value="' . $datax['category_id'] . '" />',
		 'category_idx' => $datax['category_id'],
		 'ankerx' => 'id="' . $datax['category_id'] . '"',
		 'category_namex' => $category_namex,
		 'category_orderx' => $category_orderx,
		 'category_activx' => $category_activex,
		 'category_activx_1' => $category_activex_1,
		 'category_activx_2' => $category_activex_2,
		 'category_activx_3' => $category_activex_3,
		 'category_activx_4' => $category_activex_4,
		 'category_activx_5' => $category_activex_5,
		 'category_articlex' => $category_article,);
	$refPage->assign('data', $data);
}

$refPage->assign('btnDelete',
		  '<input type="submit" name="submit" id="delete" value="' .
		  _('Delete') . '" />');

$refPage->assign('formStart', 'index2.php?page=article&sub=category&func=12');

$refPage->assign('btnNew',
		  '<input type="submit" name="submit" id="copy" value="' .
		  _('New') . '" />');

$refPage->assign('btnCopy',
		  '<input type="submit" name="submit" id="copy" value="' .
		  _('Copy') . '" />');

$refPage->assign('pagetitel', _('Pagetitel') . ':');

$refPage->assign('active', _('Active') . ':');
$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
