<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Verify and save data from shipping-editorpage
 * used from shipping.page.editor.php
 * call from shipping.page.php
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 25.09.2015
 * @license GPL3
 *
 * @version 0.5b
 * @package Admin
 * @subpackage page
 */
$data = array();
// Test of exist record
$idx = $refValidate->testNumber($_POST['idx'], '');
$namex = $refValidate->cleanslash($_POST['namex'], '');
$valuex = str_replace(',', '.', $_POST['valuex']);

if (!$idx or !$namex)
{
    message::setErrorRow(_('Submitted Data are wrong format or invalid.') . '<br>' .
            _('No data could be saved!'), TRUE);
}
else
{
    // name
    $datax = $refValidate->testText($_POST['namex'], _('Name not valid'), 1, 255);
    if ($datax) $data['shipping_name'] = $datax;

    // value
    if (strpos($valuex, '.') == FALSE) $valuex = '0.0';

    $data['shipping_value'] = $valuex;

    // table
    $datax = $refValidate->cleanslash($_POST['table']);
    if ($datax) $data['shipping_table'] = $datax;

    db::getInstance()->where('shipping_id', $idx);
    $resultx = db::getInstance()->getOne('shipping');

    // Update the database
    db::getInstance()->where('shipping_id', $idx);

    if (db::getInstance()->update('shipping', $data))
            message::setNoteRow(_('The data storage was successful.'), true);
    else message::setErrorRow(_('No data could be saved!'), TRUE);
} 