<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * mail -> order list
 * Display all orderer adress details of an order
 * use orders.list.tpl.php
 *
 * @version    $Id: orders.page.list.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
db::getInstance()->where('orderer_order_id', $idx);
$resultOrderer = db::getInstance()->getone('orderer' . SUFFIX);
db::getInstance()->where('order_id', $resultOrderer['orderer_order_id']);
$resultOrder = db::getInstance()->get('ordered' . SUFFIX);

if (db::getInstance()->count > 0)
{
   $refPage->assign('page_titel', _('Orderdetails from order no.') . ':&nbsp;' .
           $resultOrderer['orderer_order_id']);
   $refPage->assign('formStart', 'index2.php?page=mail&sub=orders&func=detail');

   // Adressdata ===================================================

   $refPage->assign('customerid', _('Customer No.' . ':'));
   $refPage->assign('customeridx', '<input type="text" name="customeridx" id="customeridx" disabled="disabled" size="12"' .
           'value="' . $resultOrderer['orderer_customer_id'] . '" />');
   
   $refPage->assign('company', _('Company' . ':'));
   $refPage->assign('companyx', '<input type="text" name="customeridx" id="customeridx" size="35"' .
           'value="' . $resultOrderer['orderer_company'] . '" />');
   
   $refPage->assign('firstname', _('Firstname' . ':'));
   $refPage->assign('firstnamex', '<input type="text" name="firstnamex" id="firstnamex" size="35"' .
           'value="' . $resultOrderer['orderer_firstname'] . '" />');
   
   $refPage->assign('lastname', _('Lastname' . ':'));
   $refPage->assign('lastnamex', '<input type="text" name="lastnamex" id="lastnamex" size="35"' .
           'value="' . $resultOrderer['orderer_lastname'] . '" />');
   
   $refPage->assign('street', _('Street' . ':'));
   $refPage->assign('streetx', '<input type="text" name="streetx" id="streetx" size="35"' .
           'value="' . $resultOrderer['orderer_street'] . '" />');
   
   $refPage->assign('zip', _('Zip' . ':'));
   $refPage->assign('zipx', '<input type="text" name="zipx" id="zipx" size="10"' .
           'value="' . $resultOrderer['orderer_zip'] . '" />');
   
   $refPage->assign('city', _('City' . ':'));
   $refPage->assign('cityx', '<input type="text" name="cityx" id="cityx" size="35"' .
           'value="' . $resultOrderer['orderer_city'] . '" />');
   
   $refPage->assign('country', _('Country' . ':'));
   $buffer = $resultOrderer['orderer_country'];

   db::getInstance()->where('config_key', 'country');
   db::getInstance()->orderBy("config_text", "ASC");
   $customerCountry = db::getInstance()->get('config');

   $countryx = '<select size="1" name="countryx" id="countryx">';
   foreach ($customerCountry as $group)
   {
      $countryx .= '<option value="' . $group['config_text'] . '" ';
      if ($group['config_text'] == $buffer)
         $countryx .= 'selected=\'selected\'';

      $countryx .= '>' . $group['config_text'] . '</option>';
   }
   $refPage->assign('countryx', $countryx . '</select>');
   
   /* $refPage->assign('state', _('State' . ':'));
     $refPage->assign('statex', $resultOrderer['orderer_state']);
     $refPage->assign('mailStateHelp', help('mailState', $page)); */

   $refPage->assign('phone', _('Phone' . ':'));
   $refPage->assign('phonex', '<input type="text" name="phonex" id="phonex" size="15"' .
           'value="' . $resultOrderer['orderer_phone'] . '" />');
   
   $refPage->assign('fax', _('Fax' . ':'));
   $refPage->assign('faxx', '<input type="text" name="faxx" id="faxx" size="15"' .
           'value="' . $resultOrderer['orderer_fax'] . '" />');
   
   $refPage->assign('handy', _('Handy' . ':'));
   $refPage->assign('handyx', '<input type="text" name="handyx" id="handyx" size="15"' .
           'value="' . $resultOrderer['orderer_handy'] . '" />');
   
   $refPage->assign('email', _('Email' . ':'));
   $refPage->assign('emailx', '<input type="text" name="emailx" id="emailx" size="54"' .
           'value="' . $resultOrderer['orderer_email'] . '" />');
   
   // Orderdata ===================================================
   $refPage->assign('orderno', _('Order No.' . ':'));
   $refPage->assign('ordernox', '<input type="text" name="ordernox" id="ordernox" disabled="disabled" size="30"' .
           'value="' . $resultOrderer['orderer_order_id'] . '" />');
   $refPage->assign('mailOrdernoHelp', help('mailOrderno', $page));

   $refPage->assign('orderdate', _('Order date' . ':'));
   $refPage->assign('orderdatex', '<input type="text" name="orderdatex" id="orderdatex" disabled="disabled" size="30"' .
           'value="' . $resultOrderer['orderer_order_date'] . '" />');
   $refPage->assign('mailOrderdateHelp', help('mailOrderdate', $page));

   $refPage->assign('totaly', _('Total' . ':'));
   $refPage->assign('totalxy', '<input type="text" name="totalxy" id="totalxy" disabled="disabled" size="15"' .
           'value="' . str_replace('.', ',', $resultOrderer['orderer_total']) . CURRENCY . '" />');
   $refPage->assign('mailTotalHelp', help('mailTotal', $page));

   $refPage->assign('total', _('Total' . ':'));
   $refPage->assign('totalx', '<input type="text" name="totalx" id="totalx" disabled="disabled" size="15"' .
           'value="' . number_format(($resultOrderer['orderer_total'] + $resultOrderer['orderer_shipping_total']), 2, ',', '.') . CURRENCY . '" />');
   $refPage->assign('mailTotalHelp', help('mailTotal', $page));

   // Pay status
   $status = array(_('Unknown'), _('Confirmed'), _('Ships'),
       _('Paid'), _('Reklamtion'), _('Canceled'), _('Others'));

   $statusy = '<select size="1" name="statusx" id="statusx">';

   for ($index = 0; $index <= 6; $index++)
   {
      if ($resultOrderer['orderer_order_status'] == $index)
         $statusy .= '<option value="' . $index . '" selected="selected">' .
                 $status[$index] . '</option>';
      else
         $statusy .= '<option value="' . $index . '" >' . $status[$index] . '</option>';
   }
   $statusy .= '</select>';
   $refPage->assign('invoicepayed', _('Invoice payed' . ':'));
   $refPage->assign('invoicepayedx', $statusy);
   $refPage->assign('mailInvoicepayedHelp', help('mailInvoicepayed', $page));

   // Orderdetails ================================================
   // Productlist
   foreach ($resultOrder as $row)
   {
      $data[] = array('skux' => $row['order_product_sku'],
          'namex' => $row['order_product_name'],
          'quantityx' => $row['order_product_quantity'],
          'itemPricex' => str_replace('.', ',', $row['order_item_price']),
          'totalPricex' => str_replace('.', ',', $row['order_total_price'] . CURRENCY)
      );
   }

   $refPage->assign('shippingTotal', _('Shipping total') . ': ');
   $refPage->assign('shippingTotalx', str_replace('.', ',', $resultOrderer['orderer_shipping_total']) . CURRENCY);

   // Shipping method
   $refPage->assign('shipping', _('Shipping') . ': ');
   db::getInstance()->where('shipping_id', $resultOrderer['orderer_shipping_id']);
   $result = db::getInstance()->getOne('shipping');
   $refPage->assign('shippingx', '<input type="text" name="shippingx" id="ordernox" disabled="disabled" size="56"' .
           'value="' . $result['shipping_name'] . '" />');

   // Payment method
   $refPage->assign('payment', _('Payment') . ': ');
   db::getInstance()->where('payment_id', $resultOrderer['orderer_payment_id']);
   $result = db::getInstance()->getOne('payment');
   $refPage->assign('paymentx', '<input type="text" name="paymentx" id="paymentx" disabled="disabled" size="56"' .
           'value="' . $result['payment_name'] . '" />');
   $refPage->assign('paymentText', _('Paymenttext') . ': ');
   $refPage->assign('paymentTextx', $result['payment_table']);

   $refPage->assign('total', _('Total') . ': ');
   $refPage->assign('totalx', number_format(($resultOrderer['orderer_total'] + $resultOrderer['orderer_shipping_total']), 2, ',', '.') . CURRENCY);

   $refPage->assign('products', $data);
   $refPage->assign('productName', _('Productnumber, Productname'));
   $refPage->assign('quantity', _('Value'));
   $refPage->assign('itemPrice', _('Itemprice'));
   $refPage->assign('totalprice', _('Totalprice'));

   // Notes =======================================================
   $refPage->assign('customerNote', _('Customer notice') . ': ');
   if (empty($resultOrderer['orderer_comment']))
   {
      $refPage->assign('customerNotex', '<textarea name="customerNotex" id="customerNotex" rows="5" disabled="disabled">' .
              _('No comment') . '</textarea>');
   } else
   {
      $refPage->assign('customerNotex', '<textarea name="customerNotex" id="customerNotex" rows="5" cols="40" disabled="disabled">' .
              $resultOrderer['orderer_comment'] . '</textarea>');
   }

   $refPage->assign('shopNoteHelp', help('mailShopNote', $page));
   $refPage->assign('shopNote', _('Shop notice') . ': ');

   if (empty($resultOrderer['orderer_shop_comment']))
   {
      $refPage->assign('shopNotex', '<textarea name="shopNotex" id="shopNotex" rows="5" cols="40">' .
              _('No comment') . '</textarea>');
   } else
   {
      $refPage->assign('shopNotex', '<textarea name="shopNotex" id="shopNotex" rows="5" cols="40">' .
              $resultOrderer['orderer_shop_comment'] . '</textarea>');
   }
   
   $refPage->assign('btnSave', '<input type="submit" name="submit" id="save" value="' . _('Save') . '" />' .
           '<input type="hidden" name="orderId" id="orderId" value="' . $resultOrderer['orderer_id'] . '" />' .
           '<input type="hidden" name="idx" id="idx" value="' . $idx . '" />');
   $refPage->assign('btnAbort', '<input type="submit" name="submit" id="abort" value="' . _('Cancel') . '" />');
   $refPage->assign('btnDetail', '<input type="submit" name="submit" id="detail" value="' . _('Show Detail') . '" />');
   $refPage->assign('btnRefresh', '<input type="submit" name="submit" id="refresh" value="' . _('Refresh') . '" />');
   $refPage->assign('btnPdf', '<input type="submit" name="submit" id="pdf" value="' . _('Create PDF') . '" />');

   $refPage->assign('ordererPageHelp', help('orderer', $page, TRUE));
   $refPage->addtpl('content', '/' . $page . '/' . $subpage . '.list.tpl.php');
}