<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Edit pdf-settings for pdf-order to print in
 * E-Mail->Orders
 * use pdf.tpl.php
 * 
 * @version    $Id: pdf.page.save.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
$config = '';

// Pagesize ====================================================
$config .= 'pageheight~' . $_POST['pageheightx'] . '|';
$config .= 'pagewidth~' . $_POST['pagewidthx'] . '|';
$config .= 'pageleft~' . $_POST['pageleftx'] . '|';
$config .= 'pagetop~' . $_POST['pagetopx'] . '|';

// Table =======================================================
if (isset($_POST['taxx']))
   $config .= 'tax' . '~1|';
else
   $config .= 'tax' . '~0|';

$config .= 'ttitle~' . $_POST['ttitlex'] . '|';
$config .= 'tleft~' . $_POST['tleftx'] . '|';
$config .= 'ttop~' . $_POST['ttopx'] . '|';
$config .= 'twidth~' . $_POST['twidthx'] . '|';
$config .= 'rowheight~' . $_POST['rowheightx'] . '|';
$config .= 'rows~' . $_POST['rowsx'] . '|';
$config .= 'tfont~' . $_POST['tfontx'] . '|';
$config .= 'tweight~' . $_POST['tweightx'] . '|';
$config .= 'border~' . $_POST['borderx'] . '|';
$config .= 'number~' . $_POST['numberx'] . '|';
$config .= 'numberwidth~' . $_POST['numberwidthx'] . '|';
$config .= 'numberorientation~' . $_POST['numberorientationx'] . '|';
$config .= 'description~' . $_POST['descriptionx'] . '|';
$config .= 'descriptionwidth~' . $_POST['descriptionwidthx'] . '|';
$config .= 'descriptionorientation~' . $_POST['descriptionorientationx'] . '|';
$config .= 'value~' . $_POST['valuex'] . '|';
$config .= 'valuewidth~' . $_POST['valuewidthx'] . '|';
$config .= 'valueorientation~' . $_POST['valueorientationx'] . '|';
$config .= 'sprice~' . $_POST['spricex'] . '|';
$config .= 'spricewidth~' . $_POST['spricewidthx'] . '|';
$config .= 'tspriceorientation~' . $_POST['tspriceorientationx'] . '|';
$config .= 'price~' . $_POST['pricex'] . '|';
$config .= 'pricewidth~' . $_POST['pricewidthx'] . '|';
$config .= 'priceorientation~' . $_POST['priceorientationx'] . '|';

// Textfields =================================================
$i = 0;
foreach ($_POST['titlex'] as $value) {
   //for ($i = 0; $i < 12; $i += 1) {
   //var_dump($_POST['activex']).'---';exit;
   if (isset($_POST['activex' . $i]))
      $config .= 'active~' . '1|';
   else
      $config .= 'active~' . '0|';

   $config .= 'title~' . $_POST['titlex'][$i] . '|';
   $config .= 'text~' . $_POST['textx'][$i] . '|';
   $config .= 'height~' . $_POST['heightx'][$i] . '|';
   $config .= 'width~' . $_POST['widthx'][$i] . '|';
   $config .= 'top~' . $_POST['topx'][$i] . '|';
   $config .= 'left~' . $_POST['leftx'][$i] . '|';
   $config .= 'font~' . $_POST['fontx'][$i] . '|';
   $config .= 'weight~' . $_POST['weightx'][$i] . '|';

   if (isset($_POST['borderleftx' . $i]))
      $config .= 'borderleft~L|';
   else
      $config .= 'borderleft~0|';

   if (isset($_POST['bordertopx' . $i]))
      $config .= 'bordertop~T|';
   else
      $config .= 'bordertop~0|';

   if (isset($_POST['borderrightx' . $i]))
      $config .= 'borderright~R|';
   else
      $config .= 'borderright~0|';

   if (isset($_POST['borderbottomx' . $i]))
      $config .= 'borderbottom~B|';
   else
      $config .= 'borderbottom~0|';

   $config .= 'orientation~' . $_POST['orientationx'][$i] . '|';
   $config .= 'linewidth~' . $_POST['linewidthx'][$i] . '|';
   $i += 1;
}

// Update the database
$data = Array('config_text' => $config);
db::getInstance()->where('config_key', 'pdf');

if (db::getInstance()->update('config' . SUFFIX, $data))
   message::setNoteRow(_('The data was successful saved.'), true);