<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Article->Article
 *
 * @version    $Id: article.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<script type="text/javascript">
	function filterA(id) {

		//alert(id);
		window.location.replace('index2.php?page=article&sub=article&filterId=' + id);
		//onchange="window.location='/administrator/index.php?option=com_virtuemart&amp;page=product.product_list&amp;category_id='+document.getElementById('category_id').options[selectedIndex].value;">
	}
</script>

<div class="article_tpl">
	<h2>{pageTitel}</h2>

	<select id="articleFilter" {onchange} style="width:330px;" size="1" name="categoryListx" id="categoryListx">

		<!-- BEGIN categoryListx -->
		<option value="{categoryIdx}" {categoryCheckedx}>{categoryNamex}</option>
		<!-- END categoryListx -->
	</select> 
	{articleListHelp}
	<form class="niceform fieldset articleTable" action="{formStart}" method="post">
		<fieldset>
			<dl>
				<table id="rounded-corner-article" summary="{tableSummary}">
					<!-- column-with  max table width: 850px-->
					<colgroup>
						<col width="35">
						<col width="35">
						<col width="120">
						<col width="375">
						<col width="105">
						<col width="40">
						<!-- IF productActiv1 -->
						<col width="40">
						<!-- ENDIF productActiv1-->
						<!-- IF productActiv2 -->
						<col width="40">
						<!-- ENDIF productActiv2-->
						<!-- IF productActiv3 -->
						<col width="40">
						<!-- ENDIF productActiv3-->
						<!-- IF productActiv4 -->
						<col width="40">
						<!-- ENDIF productActiv4-->
						<!-- IF productActiv5 -->
						<col width="40">
						<!-- ENDIF productActiv5-->
						<col width="140">
					</colgroup>

					<thead>
						<tr>
							<th scope="col" class="rounded-company"></th>
							<th scope="col" class="rounded">{productId}</th>
							<th scope="col" class="rounded">{productSku}</th>
							<th scope="col" class="rounded">{productName}</th>
							<th align="center" scope="col" class="rounded">{productOrder}</th>
							<th scope="col" class="rounded">{productActiv}</th>
							<!-- IF productActiv1 -->
							<th scope="col" class="rounded">{productActiv1}</th>
							<!-- ENDIF productActiv1-->
							<!-- IF productActiv2 -->
							<th scope="col" class="rounded">{productActiv2}</th>
							<!-- ENDIF productActiv2-->
							<!-- IF productActiv3 -->
							<th scope="col" class="rounded">{productActiv3}</th>
							<!-- ENDIF productActiv3-->
							<!-- IF productActiv4 -->
							<th scope="col" class="rounded">{productActiv4}</th>
							<!-- ENDIF productActiv4-->
							<!-- IF productActiv5 -->
							<th scope="col" class="rounded">{productActiv5}</th>
							<!-- ENDIF productActiv5-->
							<th scope="col" class="rounded-q4">{productCategory}</th>
						</tr>
					</thead>

					<tbody>
						<!-- BEGIN productListx -->
						<tr {ankerx}>
							<td>{productCheckboxx}</td>
							<td><div align="right">{productIdx}</div></td>
							<td>{productSkux}</td>
							<td>{productNamex}</td>
							<td><div align="right">{productOrderx}</div></td>
							<td><div align="center">{productActivx}</div></td>
							<!-- IF productActivx1 -->
							<td><div align="center">{productActivx1}</div></td>
							<!-- ENDIF productActivx1-->
							<!-- IF productActivx2 -->
							<td><div align="center">{productActivx2}</div></td>
							<!-- ENDIF productActivx2-->
							<!-- IF productActivx3 -->
							<td><div align="center">{productActivx3}</div></td>
							<!-- ENDIF productActivx3-->
							<!-- IF productActivx4 -->
							<td><div align="center">{productActivx4}</div></td>
							<!-- ENDIF productActivx4-->
							<!-- IF productActivx5 -->
							<td><div align="center">{productActivx5}</div></td>
							<!-- ENDIF productActivx5-->
							<td>{productCategoryx}</td>
						</tr>
						<!-- END productListx -->
					</tbody>

					<tfoot>
						<tr>
							<td class="rounded-foot-left"></td>
							<td colspan="{colspan}" class="rounded-foot-left">

								<div class="pagination">
									<a href="{urlPageFirst}">{txtPageFirst}</a>
									<a href="{urlPagePrev}">{txtPagePrev}</a>

									<!-- BEGIN urlPageP -->
									<a href="{url}">{text}</a>
									<!-- END urlPageP -->

									<span class="current">{nrPageC}</span>

									<!-- BEGIN PageN -->
									<a href="{url}">{text}</a>
									<!-- END PageN -->

									<a href="{urlPageNext}">{txtPageNext}</a>
									<a href="{urlPageLast}">{txtPageLast}</a>
								</div>				



							</td>
							<td class="rounded-foot-right">&nbsp;</td>
						</tr>
					</tfoot>					
				</table>
			</dl>            

			<dl class="submit">
				{btnOrder}
				{btnDelete}
				{btnNew}
				{btnCopy}
			</dl>
			<dl>
				{articlePageHelp}
			</dl> 
		</fieldset>
	</form>
</div>

