<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Displays pdf-settings for printig orderlist E-Mail->Orders
 * used from list.page.php
 *
 * @version    $Id: list.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{title}</h2>

<div class="form">
	<form action="{action}" method="post" class="niceform fieldset">
		<fieldset>
			<!-- Papersize --------------------------------------------------->
			<dl>
				<h3>{title1}</h3>
			</dl>
			<dl>
				<dt><label for="heightx">{height}</label></dt>
				<dd>
					{heightx}
					{pdfheightxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="widthx">{width}</label></dt>
				<dd>
					{widthx}
					{pdfwidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="topMaringx">{topMarging}</label></dt>
				<dd>
					{topMargingx}
					{pdftopmargingxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="leftMargingx">{leftMarging}</label></dt>
				<dd>
					{leftMargingx}
					{pdfleftmargingxHelp}
				</dd>
			</dl>
			
			<dl>
				<hr>
			</dl>
			<!-- Rowfields --------------------------------------------------->
			<dl>
				<h3>{title2}</h3>
			</dl>
			
			<dl>
				<dt><label for="numberWidthx">{numberWidth}</label></dt>
				<dd>
					{numberWidthx}
					{pdfnumberWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="dateWidthx">{dateWidth}</label></dt>
				<dd>
					{dateWidthx}
					{pdfdateWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="customerNumberWidthx">{customerNumberWidth}</label></dt>
				<dd>
					{customerNumberWidthx}
					{pdfcustomernumberWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="customerNameWidthx">{customerNameWidth}</label></dt>
				<dd>
					{customerNameWidthx}
					{pdfcustomernameWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="companyWidthx">{companyWidth}</label></dt>
				<dd>
					{companyWidthx}
					{pdfcompanyWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="taxWidthx">{taxWidth}</label></dt>
				<dd>
					{taxWidthx}
					{pdftaxWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="valueWidthx">{valueWidth}</label></dt>
				<dd>
					{valueWidthx}
					{pdfvalueWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="statusWidthx">{statusWidth}</label></dt>
				<dd>
					{statusWidthx}
					{pdfstatusWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="paydateWidthx">{paydateWidth}</label></dt>
				<dd>
					{paydateWidthx}
					{pdfpaydateWidthxHelp}
				</dd>
			</dl>
			
			<dl>
				<hr>
			</dl>
			<!-- Box --------------------------------------------------------->
			<dl>
				<h3>{title3}</h3>
			</dl>
			
			<dl>
				<dt><label for="rowsx">{rows}</label></dt>
				<dd>
					{rowsx}
					{pdfrowsxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="paginationx">{pagination}</label></dt>
				<dd>
					{paginationx}
					{pdfpaginationxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="fontx">{font}</label></dt>
				<dd>
					{fontx}
					{pdffontxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="fontheightx">{fontheight}</label></dt>
				<dd>
					{fontheightx}
					{pdffontheightxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="fonttitlex">{fonttitle}</label></dt>
				<dd>
					{fonttitlex}
					{pdffonttitlexHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="fonttitleheightx">{fonttitleheight}</label></dt>
				<dd>
					{fonttitleheightx}
					{pdffonttitleheightxHelp}
				</dd>
			</dl>
			
			
			<dl class="submit">
				{btnSave}
				{btnAbort}
			</dl>

		</fieldset>
	</form>
</div>
