/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Demofile
 * This file demonstrates the settings for the full-Toolbar
 * of CKeditor. Include the PDW_File_Browser!
 * This file called AFTER the textares-Tag.
 */

/**
 * CKEditor-config for the static pages
 */   
for(name in CKEDITOR.instances)
{
	CKEDITOR.instances[name].destroy()
}
var roxyFileman = '/admin/module/fileman/index.html'; 

CKEDITOR.replace( 'textx', {
  filebrowserBrowseUrl:roxyFileman,
  filebrowserImageBrowseUrl:roxyFileman+'?type=image',
  removeDialogTabs: 'link:upload;image:upload',
 
  width: '610px',
	height: '350px',

	toolbar :
	[
	{
		name: 'document', 
		items : [ 'Source','-','Save','NewPage','DocProps','Preview','Print','-','Templates' ]
	},
	'/',
{
		name: 'clipboard', 
		items : [ 'Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo' ]
	},
{
		name: 'editing', 
		items : [ 'Find','Replace','-','SelectAll','-','SpellChecker', 'Scayt' ]
	},
{
		name: 'forms', 
		items : [ 'Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 
		'HiddenField' ]
	},
	'/',
	{
		name: 'basicstyles', 
		items : [ 'Bold','Italic','Underline','Strike','Subscript','Superscript','-','RemoveFormat' ]
	},
{
		name: 'paragraph', 
		items : [ 'NumberedList','BulletedList','-','Outdent','Indent','-','Blockquote','CreateDiv',
		'-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock','-','BidiLtr','BidiRtl' ]
	},
{
		name: 'links', 
		items : [ 'Link','Unlink','Anchor' ]
	},
{
		name: 'insert', 
		items : [ 'Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak','Iframe' ]
	},
	'/',
	{
		name: 'styles', 
		items : [ 'Styles','Format','Font','FontSize' ]
	},
{
		name: 'colors', 
		items : [ 'TextColor','BGColor' ]
	},
{
		name: 'tools', 
		items : [ 'Maximize', 'ShowBlocks','-','About' ]
	}
	]      
	  
}
);