<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Displays pdf-settings to edit
 * used from pdf.page.php
 *
 * @version    $Id: pdflist.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{title}</h2>

<div class="form">
   <form action="{action}" method="post" class="niceform fieldset">
      <fieldset>
         <!-- Papersize --------------------------------------------------->
         <dl>
            <h3>{title1}</h3>
         </dl>
         <dl>
            <dt><label for="heightx">{height}</label></dt>
            <dd>
               {heightx}
               {pdfheightxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="widthx">{width}</label></dt>
            <dd>
               {widthx}
               {pdfwidthxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="topMaringx">{topMarging}</label></dt>
            <dd>
               {topMargingx}
               {pdftopmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="leftMargingx">{leftMarging}</label></dt>
            <dd>
               {leftMargingx}
               {pdfleftmargingxHelp}
            </dd>
         </dl>

         <dl>
            <hr>
         </dl>
         <!-- Adressfield ------------------------------------------------->
         <dl>
            <h3>{title2}</h3>
         </dl>

         <dl>
            <dt><label for="atopMaringx">{atopMarging}</label></dt>
            <dd>
               {atopMargingx}
               {pdfatopmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="aleftMargingx">{aleftMarging}</label></dt>
            <dd>
               {aleftMargingx}
               {pdfaleftmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="afontx">{afont}</label></dt>
            <dd>
               {afontx}
               {pdfafontxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="aweightx">{aweight}</label></dt>
            <dd>
               {aweightx}
               {pdfaweightxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="alineheightx">{alineheight}</label></dt>
            <dd>
               {alineheightx}
               {pdfalineheightxHelp}
            </dd>
         </dl>

         <dl>
            <hr>
         </dl>
         <!-- Box --------------------------------------------------------->
         <dl>
            <h3>{title3}</h3>
         </dl>

         <dl>
            <dt><label for="btopMaringx">{btopMarging}</label></dt>
            <dd>
               {btopMargingx}
               {pdfbtopmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="bleftMargingx">{bleftMarging}</label></dt>
            <dd>
               {bleftMargingx}
               {pdfbleftmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="bfontx">{bfont}</label></dt>
            <dd>
               {bfontx}
               {pdfbfontxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="bweightx">{bweight}</label></dt>
            <dd>
               {bweightx}
               {pdfbweightxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="blineheightx">{blineheight}</label></dt>
            <dd>
               {blineheightx}
               {pdfblineheightxHelp}
            </dd>
         </dl>

         <dl>
            <hr>
         </dl>
         <!-- Title ------------------------------------------------------->
         <dl>
            <h3>{title4}</h3>
         </dl>

         <dl>
            <dt><label for="ctopMaringx">{ctopMarging}</label></dt>
            <dd>
               {ctopMargingx}
               {pdfctopmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="cleftMargingx">{cleftMarging}</label></dt>
            <dd>
               {cleftMargingx}
               {pdfcleftmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="cfontx">{cfont}</label></dt>
            <dd>
               {cfontx}
               {pdfcfontxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="cweightx">{cweight}</label></dt>
            <dd>
               {cweightx}
               {pdfcweightxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="clineheightx">{clineheight}</label></dt>
            <dd>
               {clineheightx}
               {pdfclineheightxHelp}
            </dd>
         </dl>

         <dl>
            <hr>
         </dl>
         <!-- Table ------------------------------------------------------->
         <dl>
            <h3>{title5}</h3>
         </dl>

         <dl>
            <dt><label for="dtopMaringx">{dtopMarging}</label></dt>
            <dd>
               {dtopMargingx}
               {pdfdtopmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="dleftMargingx">{dleftMarging}</label></dt>
            <dd>
               {dleftMargingx}
               {pdfdleftmargingxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="dfontx">{dfont}</label></dt>
            <dd>
               {dfontx}
               {pdfdfontxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="dweightx">{dweight}</label></dt>
            <dd>
               {dweightx}
               {pdfdweightxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="dlineheightx">{dlineheight}</label></dt>
            <dd>
               {dlineheightx}
               {pdfdlineheightxHelp}
            </dd>
         </dl>

         <dl>
            <hr>
         </dl>
         <!-- Payment info ------------------------------------------------>
         <dl>
            <h3>{title6}</h3>
         </dl>

         <dl>
            <dt><label for="efontx">{efont}</label></dt>
            <dd>
               {efontx}
               {pdfefontxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="eweightx">{eweight}</label></dt>
            <dd>
               {eweightx}
               {pdfeweightxHelp}
            </dd>
         </dl>

         <dl>
            <dt><label for="elineheightx">{elineheight}</label></dt>
            <dd>
               {elineheightx}
               {pdfelineheightxHelp}
            </dd>
         </dl>

         <dl class="submit">
            {btnSave}
            {btnAbort}
         </dl>

         <dl>
            <dt>
            </dt>
            <dd>
               {textHelp}
            </dd>
         </dl>
      </fieldset>
   </form>
</div>
