<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create order page
 * used from orders.page.table.php
 *
 * @version    $Id: orders.detail.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<div id="orderDetail">
	<form class="niceform fieldset ordersDetail" action="{formStart}" method="post">
		<fieldset>
			<dl>
				<h2>{pageTitel}</h2></br>
				<h3>{customer}{customerx}</br>
					{date}: {datex}</br>
					{name}{namex}</br>
					<!-- IF companyx -->
					{company}{companyx}</h3>
				<!-- ENDIF companyx -->
				</br></br>
			</dl>

			<dl>
				<table id="order rounded-corner" cellspacing="0">
					<!-- column-with  max table width: 625px-->
					<colgroup>
						<col width="380">
						<col width="35">
						<col width="50">
						<col width="65">
						<col width="25">
					</colgroup>

					<thead>
						<tr>
							<th scope="col" class="rounded" align="left">{productName}</th>
							<th scope="col" class="rounded" align="center">{quantity}</th>
							<th scope="col" class="rounded">{itemPrice}</th>
							<th scope="col" class="rounded">{totalprice}</th>
							<th scope="col" class="rounded">{edit}</th>
						</tr>
					</thead>

					<tbody>
						<!-- BEGIN products -->
						<tr>
							<td>{skux}<br>{namex}</td>
							<td align="center">{quantityx}</td>
							<td align="right">{itemPricex}</td>
							<td align="right">{totalPricex}</td>
							<td class="edit" align="right">{editx}</td>
						</tr>
						<!-- END products -->
						<tr>
							<td id="shippingTotal" colspan="3">
								{shippingTotal}
							</td>
							<td id="shippingTotalx">
								{shippingTotalx}
							</td>
							<td>
								{shippingTotalLink}								
							</td>
						</tr>
						<tr>
							<td id="total" colspan="3">
								{total}
							</td>
							<td id="totalx">
								{totalx}
							</td>
							<td>
								{totalLink}
							</td>
						</tr>
					</tbody>
				</table>
				{shipping}{shippingx}<br>
				{payment}{paymentx}<br>
				<div id="paymentText">
					{paymentText}<br>
					{paymentTextx}
				</div>
			</dl>

			<dl>
				<p id='orderDetail'>
					{customerNote}<br>
					{customerNotex}<br>
					{shopNote}<br>
					{shopNotex}
				</p>
			</dl>

			<dl>
				{btnSave}
				{btnPdf}
				{btnBack}
			</dl>

			<!--<dl>
				{ordererPageHelp}
			</dl>-->
		</fieldset>
	</form>
</div>