<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * DB und Konfigurationsdateien erstellen.
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 29 $
 * $Date: 2018-08-13 12:19:28 +0200 (Mo, 13. Aug 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/ready.php $
 */
include_once('config.class.php');
$config = new config();
?>
<form action="index.php?page=htpasswd" method="post" id="formid">
   <fieldset>
   <h1>Installationsbericht</h1>
   <article>
      <?php echo config::createDatabase(); ?>
      <?php echo config::createFrontConfig(); ?>
      <?php echo config::createFrontConfig0(); ?>
      <?php echo config::createFrontHtaccess(); ?>
      <?php echo config::createBackConfig(); ?>
      <?php echo config::createBackConfig0(); ?>
      <?php echo config::setTemplateFront(); ?>
   </article>

   <h1>Achtung!</h1>
   <article>
      Jetzt wird noch der .htpasswd-Schutz f&uuml;r den Administrationszugang erstellt.<br>
      Ohne diesen Schutz ist der Shop nicht sicher!<br>
   </article>
   <br>

   <input type="submit" value="htpasswd-Schutz erstellen"/>
   <fieldset>
</form>
