<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create the output for the static-pages
 * get: page/tpl.php
 * used from core.php
 *
 * @version    $Id: cart.order.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
//$refPage->assign('termsNotAccept', '');
// if call from adress form
if (isset($_POST['func']))
{
    if ($_POST['func'] === 'createGuest')
    {
        $pagefile = 'module/cart/cart.saveadress.php';
        if (is_file($pagefile)) include_once($pagefile);
    }
}

if (checkUser() === FALSE and ! isset($_SESSION['ordererIdx']))
{ // if user not logged-in or no guest-id
    $pagefile = 'module/cart/cart.ordereradress.php';
    if (is_file($pagefile)) include_once($pagefile);
}
elseif (!isset($_SESSION['ordererIdx']))
{ // Copy Customerdata to orderer-table
    db::getInstance()->where('customer_name', $_SESSION['customernamex']);
    $customer = db::getInstance()->getOne('customer');

    $mysqlBuffer = array();
    if (!empty($customer['customer_company']))
    {
        $mysqlBuffer['orderer_company'] = $customer['customer_company'];
    }

    if (!empty($customer['customer_firstname']))
    {
        $mysqlBuffer['orderer_firstname'] = $customer['customer_firstname'];
    }

    if (!empty($customer['customer_lastname']))
    {
        $mysqlBuffer['orderer_lastname'] = $customer['customer_lastname'];
    }

    if (!empty($customer['customer_street']))
    {
        $mysqlBuffer['orderer_street'] = $customer['customer_street'];
    }

    if (!empty($customer['customer_zip']))
    {
        $mysqlBuffer['orderer_zip'] = $customer['customer_zip'];
    }

    if (!empty($customer['customer_city']))
    {
        $mysqlBuffer['orderer_city'] = $customer['customer_city'];
    }

    if (!empty($customer['customer_country']))
    {
        $mysqlBuffer['orderer_country'] = $customer['customer_country'];
    }

    if (!empty($customer['customer_state']))
    {
        $mysqlBuffer['orderer_state'] = $customer['customer_state'];
    }

    if (!empty($customer['customer_phone']))
    {
        $mysqlBuffer['orderer_phone'] = $customer['customer_phone'];
    }

    if (!empty($customer['customer_fax']))
    {
        $mysqlBuffer['orderer_company'] = $customer['customer_company'];
    }

    if (!empty($customer['customer_handy']))
    {
        $mysqlBuffer['orderer_handy'] = $customer['customer_handy'];
    }

    if (!empty($customer['customer_email']))
    {
        $mysqlBuffer['orderer_email'] = $customer['customer_email'];
    }

    if (!empty($customer['customer_level']))
    {
        $mysqlBuffer['orderer_level'] = $customer['customer_level'];
    }

    if (!empty($customer['customer_id']))
    {
        $mysqlBuffer['orderer_customer_id'] = $customer['customer_id'];
    }

    $mysqlBuffer['orderer_comment'] = 'New Guest';


    db::getInstance()->insert('orderer' . SUFFIX, $mysqlBuffer);

    db::getInstance()->where('orderer_comment', 'New Guest');
    $result = db::getInstance()->getOne('orderer' . SUFFIX);

    $mysqlBuffer = NULL;
    $_SESSION['ordererIdx'] = $result['orderer_id'];

    $data = Array('orderer_comment' => ' ');
    db::getInstance()->where('orderer_id', $_SESSION['ordererIdx']);
    db::getInstance()->update('orderer' . SUFFIX, $data);
}

if (isset($_SESSION['ordererIdx']))
{ //Create data for order if adress ok
    // include shippingcosts-class
    $pagefile = 'module/class/shipping.class.php';
    if (is_file($pagefile)) include_once($pagefile);
    $shipping = new shipping();
    $pagefile = 'module/function/price.calculate.php';
    if (is_file($pagefile)) include_once($pagefile);

    // Orderadress 
    $refPage->assign('orderadress', _('Orderadress'));
    db::getInstance()->where('orderer_id', $_SESSION['ordererIdx']);
    $result = db::getInstance()->getOne('orderer' . SUFFIX);

    $refPage->assign('company', $result['orderer_company']);
    $refPage->assign('name', $result['orderer_firstname'] . ' ' . $result['orderer_lastname']);
    $refPage->assign('street', $result['orderer_street']);
    $refPage->assign('city', $result['orderer_zip'] . ' ' . $result['orderer_city']);

    // productlist
    $cart = $refCart->getProducts();
    $price = '';
    $tax = array();
    $cartx = array();
    $pricex = 0;

    $refCart->addToTotalPrice(0, TRUE);

    foreach ($cart as $product)
    {
        $pricePerItem = $refCart->productPricePerItem($product['cart_product_id'],
                $product['number'], $product);
        $priceTotal = $refCart->productPrice($product['cart_product_id'], $product['number'],
                $product);
        $refCart->addToTotalPrice($priceTotal, $product['cart_product_id']);

        $tax = $refCart->getTax($priceTotal, $product['cart_product_id']);

        $orderx[] = array(
            'sku' => $product['sku'],
            'product' => ($product['product'] . $refCart->optionsText2Html($product['optionsText'], 
				$refCart->getOptionPrice())),
            'pricePerItem' => $pricePerItem,
            'priceTotal' => $priceTotal,
            'tax' => $refCart->getTax($priceTotal, $product['cart_product_id'], FALSE),
            'number' => $product['number']);

        // calculate shipping
        $shipping->calculateShippingCosts($product['cart_product_id'], $product['number']);

        //TODO include produkt-details
    }
    $refPage->assign('productList', $orderx);
    $_SESSION['productListx'] = $orderx;

    // prices
    $pricex = $refCart->getTotalPrice(FALSE, TRUE);
    $refPage->assign('subtotal', number_format($pricex, 2, ',', '.') . CURRENCY);
    $pricex += $shipping->getShipping($pricex, FALSE, TRUE);
    $refPage->assign('price', number_format($pricex, 2, ',', '.') . CURRENCY);

    $refPage->assign('tax',
            $refCart->getTotalPriceTax(TRUE,
                    $shipping->getShipping($refCart->getTotalPrice(FALSE, TRUE), FALSE, TRUE)));

    // shipping
    $refPage->assign('shippingprice',
            $shipping->getShipping($refCart->getTotalPrice(FALSE, TRUE), TRUE));

    // payment
    $refPage->assign('payment', _('Payment Method'));
    db::getInstance()->where('payment_active', '1');
    db::getInstance()->orderBy('payment_order', "ASC");
    $payment = db::getInstance()->get('payment');

    $paymentx = '';
    foreach ($payment as $method)
    {
        $pagefile = 'plugins/payment/' . $method['payment_file'] . '.payment.php';
        $sFunction = $method['payment_file'];

        if (is_file($pagefile))
        {
            include_once($pagefile);

            $paymentx .= '<input type="radio" name="orderpayment" value="' .
                    $method['payment_name'] . '" ';
            if ($method['payment_order'] == '1')
            {
                $paymentx .= 'checked="checked" />  ' . $method['payment_name'] . '<br>';
            }
            else
            {
                $paymentx .= '/>  ' . $method['payment_name'] . '<br>';
            }
        }
    }
    $refPage->assign('orderpayment', $paymentx);

    // comment
    $refPage->assign('comment', _('Your comment'));
    if (!isset($_SESSION['commentx'])) $_SESSION['commentx'] = '';
    $refPage->assign('ordercomment',
            '<textarea id="ordercommentx" name="ordercommentx" rows="8" cols="56">' .
            $_SESSION['commentx'] . '</textarea>');

    $refPage->assign('formstart',
            '<form action = "' . URL . '?page=cart&amp;xtitle=order' .
            '&amp;name=' . _('Shoppingcart') . '&amp;cart=confirm" method = "post">');
    $refPage->assign('formend', '</form>');

    $refPage->assign('order_button',
            '<input class="btn_order" name="btn_order" title="' . _('Buy now') .
            '" src="' . TEMPLATE_PATH . '/images/btn_order.png" alt="' . _('Buy now') .
            '" type="image">');
    $refPage->assign('back_button',
            '<a title="' . _('Back') . '" href="/index.php?page=cart&amp;xtitle=show&amp;name=Warenkorb">' .
            '<img src="/' . TEMPLATE_PATH . '/images/btn_back.png" alt = "' .
            _('Back') . '" titel = "Warenkorb"> </a>');
    pagepointer::setCurrentPage();
    $refPage->addtpl('content', '/' . $page . '/' . $title . '.tpl.php');
}