<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * create the output for the find-page
 * get: find/find.tpl.php
 * used from core.php
 *
 * @version    $Id: find.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2017
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $title, $name, $refValidate) {
   $titlex = preg_replace("/[^.-:a-zA-ZäüöÄÜÖß 0-9-\/]/", "", $title);
   $refPage->assign('ifFound', '');
   $row = array();
   $result = array();
   $row = explode(' ', $titlex);
   $find = '';
   $findp = '';
   $isFound = false;
   $loop = 0;
   $findListx = array();
   $hits = count($row);

   foreach ($row as $value) {
      if ($loop > 0)
      {
         $find = $find . " OR ";
         $findp = $findp . " OR ";
      }
      $find = $find . "product_sku LIKE '%" . trim($value) . "%' OR ";
      $find = $find . "product_name LIKE '%" . trim($value) . "%' ";
      $findp = $findp . "pages_text LIKE '%" . trim($value) . "%' ";
      $loop = $loop + 1;
   }

   $result = db::getInstance()->rawQuery("SELECT product_id, product_sku, product_active, " .
           "product_name FROM product " . "WHERE product_active" . SUFFIX . " = '1' AND (" . $find .
           ") ORDER BY product_sku");

   if (db::getInstance()->count <= 0 OR empty($titlex))
   {
      $refPage->assign('SearchFail', _('No match found'));
      //$refPage->assign('ifFound', '0');
   } else
   {
      foreach ($result as $value) {
         $found = 0;
         $searchRow = ' ' . $value['product_sku'] . $value['product_name'];

         foreach ($row as $valuex) {
            $pos = strripos($searchRow, trim($valuex));

            if ($pos !== FALSE)
            {
               $found = $found + 1;
            }
         }

         if ($found >= $hits)
         {
            $findListx[] = array(
                'skux' => $value['product_sku'],
                'namex' =>
                '<a class="hitLink" href="index.php?page=article&amp;xtitle=' .
                $value['product_id'] . '&amp;name=' . $value['product_name'] .
                '" target="_blank">' . $value['product_name'] . '</a>');
         }
         $refPage->assign('ifFound', '1');
         $isFound = true;
      }
   }

   
   
   
   $result = db::getInstance()->rawQuery("SELECT pages_name, pages_id, pages_active, " .
           "pages_text FROM pages " . "WHERE pages_active" . SUFFIX . " = '1' AND (" . $findp .
           ") ORDER BY pages_id");
   
   if (db::getInstance()->count <= 0 OR empty($titlex))
   {
      $refPage->assign('SearchFail', _('No match found'));
      //$refPage->assign('ifFound', '0');
   } else
   {
      foreach ($result as $value) {
         $found = 0;
         $searchRow = ' ' . $value['pages_name'] . $value['pages_text'];

         foreach ($row as $valuex) {
            $pos = strripos($searchRow, trim($valuex));

            if ($pos !== FALSE)
            {
               $found = $found + 1;
            }
         }

         if ($found >= $hits)
         {
            $findListx[] = array(
                'skux' => $value['pages_id'],
                'namex' =>
                '<a class="hitLink" href="index.php?page=pages&amp;xtitle=' .
                $value['pages_id'] . '&amp;name=' . $value['pages_name'] .
                '" target="_blank">' . $value['pages_name'] . '</a>');
         }
         $refPage->assign('ifFound', '1');
         $isFound = true;
      }
   }

   if ($isFound == true)
   {
      $refPage->assign('findListx', $findListx);
      $refPage->assign('tableSummary', _('Linklist to matches'));
      $refPage->assign('sku', _('SKU/ID'));
      $refPage->assign('name', _('Name'));
   }

   $refPage->assign('Metakeywords', META_KEYWORDS);
   $refPage->assign('Metadescription', META_DESCRIPTION);
   $refPage->assign('formStartFindP', 'index.php?page=find');
   $refPage->assign('header', _('Found entries'));
   $refPage->assign('findText', _('Keyword(s)'));
   $refPage->assign('findTextx', $titlex);
   $refPage->addtpl('content', '/find/find.tpl.php');
}
