<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Show order-form inclusive number and price
 *
 * @version    $Id: order.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h1>Kostenpflichtig bestellen</h1>
<div id="order_show">

	<table cellpadding="0" cellspacing="0">
		<tbody>
			<tr>
				<th id="product">
					Artikel
				</th>
				<th id="per_item">
					Stück-<br>preis
				</th>
				<th id="number">
					Menge
				</th>
				<th id="price">
					Preis
				</th>
			</tr>

			<!-- BEGIN productList -->
			<tr>
				<td class="product">
					{sku}<br>
					{product}
				</td>
				<td class="per_item">
					{pricePerItem}
				</td>
				<td class="number">
					{number}
				</td>
				<td class="price">
					{priceTotal}
				</td>
			</tr>
			<!-- END productList -->

			<tr>
				<td valign="top" colspan="3"></td>
				<td valign="top">
					<hr size="2" width="90%"></td>
			</tr>
			<tr>
				<td class="shippingprice" colspan="3">
					Versandkosten:
				</td>
				<td class="shippingprice">
					{shippingprice}
				</td>
			</tr>
			<tr>
				<td class="totalprice" colspan="3">
					Endsumme:
				</td>
				<td class="totalprice">
					{price}
				</td>
			</tr>
			<tr>
				<td class="tax" colspan="4">
					<!-- BEGIN tax -->
					(enthaltene {name} ({percent}%) {value})<br>
					<!-- END tax -->
				</td>
			</tr>
		</tbody>
	</table>
	<br>
	{formstart}

	<div id="orderadress">
		<h3>{orderadress}</h3>
		{company}<br>
		{name}<br>
		{street}<br>
		{city}
	</div>
	
	<div id="orderpayment">
		<h3>{payment}</h3>
		{orderpayment}
	</div>
	
	<div id="orderComment">
		<h3>{comment}</h3>
		{ordercomment}
	</div>

	<br>
	<div id="order_btn">
		{back_button} {order_button}
	</div>
	{formend}

</div>