<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Configuration of jquerymousewheel-include
 * used from plugin.class.php
 *
 * @version    $Id: config.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
$xPluginConfig[] = array(
 'plugin_name' => 'Fancybox 2.1.5',
 'plugin_code' => 'gallery',
 'plugin_config' =>
 'scripts::' .
 '<!-- gallery START -->' .
 '<script type="text/javascript" src="xplugin/fancybox/source/jquery.fancybox.js?v=2.1.5">' .
 '<link rel="stylesheet" href="xplugin/fancybox/source/jquery.fancybox.css?v=2.1.5" type="text/css" media="screen" />' .
 '<link rel="stylesheet" href="/fancybox/source/helpers/jquery.fancybox-thumbs.css?v=1.0.7" type="text/css" media="screen" />' .
 '<script type="text/javascript" src="/fancybox/source/helpers/jquery.fancybox-thumbs.js?v=1.0.7"></script>' .
 '<!-- gallery END -->' .
 '|' .
 'head::$(\'.fancybox\').fancybox({{config}});' .
 '|' .
 'config::' .
 'width:650,maxWidth:800,maxHeight:600,' .
 'openEffect:elastic,closeEffect:elastic,nextEffect:elastic,prevEffect:elastic,' .
 'openSpeed:500,closeSpeed:500,nextSpeed:500,prevSpeed:500,' .
 'openOpacity:1,closeOpacity:1,' .
 'arrows:1,closeBtn:1,mouseWheel:1,autoPlay:0,playSpeed:3000',
 'plugin_typ' => 'C',
 'plugin_help' =>
 '<b>Aufruf der Galleriefunktion:</b><br>
	 {xPlugin:gallery:Pfad/zu/den/Bilddateien:Größe_in_Pixel:CSS-Klassenname}<br>
	 Der Pfad ist ohne führenden Schrägstrich und ab dem Benutzer-Bildverzeichnis anzugeben. 
	 Dies ist in der Standardkonfiguration "images/user".<br>
	 Die Vorschaugröße wird in Pixeln (px) angegeben und bestimmt die maximale höhe und Breite 
	 der Vorschaubilder.<br>
	 Optional kann eine CSS-Klasse angegeben werden mit deren Hilfe die Vorschaubilder gestaltet 
	 werden können.<br>
	 Bilder in den Formaten png, jpg und gif (Extension immer in Kleinbuchstaben) können,
	 auch gemischt, angezeigt werden.<br>
	 Alternativtexte können für jedes Bild separat angegeben werden. Diese werden in der 
	 geöffneten Galerie unter dem jeweiligen Bild ausgegeben. Für eine Bilddatei z.B. mit dem 
	 Namen a.png muss die Alternativtext-Datei a.png.txt genannt werden.<br><br>
	 <table class="plugin_help" cellpadding="0" cellspacing="0">
	<colgroup>
		<col width="140">
		<col width="">
	</colgroup>
	<tbody>
		<tr>
			<th>Name</th>
			<th>Beschreibung</th>
		</tr>
		<tr>
			<td>Width</td>
			<td>Breite der Bilderliste in Pixel. <span style="color:#888">Standard: 650</span></td>
		</tr>
		<tr>
			<td>maxWidth</td>
			<td>Maximale Breite des Galleriebildes in Pixel. <span style="color:#888">Standard: 800</span></td>
		</tr>
		<tr>
			<td>maxHeight</td>
			<td>Maximale Höhe des Galleriebildes in Pixel. <span style="color:#888">Standard: 600</span></td>
		</tr>
		<tr>
			<td>openEffect</td>
			<td>Animation beim öffnen der Gallerie (elastic, fade, none). <span style="color:#888">Standard: elastic</span></td>
		</tr>
		<tr>
			<td>closeEffect</td>
			<td>Animation beim schließen der Gallerie (elastic, fade, none). <span style="color:#888">Standard: elastic</span></td>
		</tr>
		<tr>
			<td>nextEffect</td>
			<td>Animation beim Aufruf des nächsten Galleriebildes (elastic, fade, none). <span style="color:#888">Standard: elastic</span></td>
		</tr>
		<tr>
			<td>prevEffect</td>
			<td>Animation beim Aufruf des vorherigen Galleriebildes (elastic, fade, none). <span style="color:#888">Standard: elastic</span></td>
		</tr>
		<tr>
			<td>openSpeed</td>
			<td>Dauer der Animation beim öffnen der Gallerie (1000 Einheiten = 1 Sekunde). <span style="color:#888">Standard: 500</span></td>
		</tr>
		<tr>
			<td>closeSpeed</td>
			<td>Dauer der Animation beim schließen der Gallerie (1000 Einheiten = 1 Sekunde). <span style="color:#888">Standard: 500</span></td>
		</tr>
		<tr>
			<td>nextSpeed</td>
			<td>Dauer der Animation beim öffnen des Galleriebildes (1000 Einheiten = 1 Sekunde). <span style="color:#888">Standard: 500</span></td>
		</tr>
		<tr>
			<td>prevSpeed</td>
			<td>Dauer der Animation beim scrollen zum vorherigen Galleriebild (1000 Einheiten = 1 Sekunde). <span style="color:#888">Standard: 500</span></td>
		</tr>
		<tr>
			<td>openOpacity</td>
			<td>Wenn aktiviert dann wird die Opazität des Bildes beim öffnen Elastic-Modus geändert (Ein, Aus). <span style="color:#888">Standard: Ein</span></td>
		</tr>
		<tr>
			<td>closeOpacity</td>
			<td>Wenn aktiviert dann wird die Opazität des Bildes beim schließen Elastic-Modus geändert (Ein, Aus). <span style="color:#888">Standard: Ein</span></td>
		</tr>
		<tr>
			<td>arrows</td>
			<td>Wenn aktiviert werden im Galleriebild die Navigationspfeile dargestellt, (Ein, Aus). <span style="color:#888">Standard: Ein</span></td>
		</tr>
		<tr>
			<td>closeBtn</td>
			<td>Anzeige des Schließen-Buttons im Galleriebild, (Ein, Aus). <span style="color:#888">Standard: Ein</span></td>
		</tr>
		<tr>
			<td>closeClick</td>
			<td>Schließen des Galleriebildes durch Klick in den Contentbereich, (Ein, Aus). <span style="color:#888">Standard: Ein</span></td>
		</tr>
		<tr>
			<td>mouseWheel</td>
			<td>Navigieren mit dem Mausrad erlauben/verbieten, (Ein, Aus). <span style="color:#888">Standard: Ein</span></td>
		</tr>
		<tr>
			<td>autoPlay</td>
			<td>Ein-/Ausschalten der Slideshow, (Ein, Aus). <span style="color:#888">Standard: Aus</span></td>
		</tr>
		<tr>
			<td>playPlay</td>
			<td>Dauer der Einblendung der Galleriebilder in der Slideshow, (1000 Einheiten = 1 Sekunde). <span style="color:#888">Standard: 3000</span></td>
		</tr>
	</tbody>
</table>
</div>
'
);
?>